// In order to support operation within both IE4 and newer browsers, yet
// utilize global variables which span across frame sets, we operate
// within a containing frame.  This frame is than marked by a variable
// called 'isGlobal' which is set to true.
//
// Each window includes this file in order to locate the global variables
// at the containing window.  The 'wlx' variable is set to point to the
// global pane.
//
// Previously, we used 'top' but this fails when operating within
// a foreign frame (one we don't have permission to read).
//
var undefined
msie4 = function( )
    {
    var reply = navigator.appVersion
    idx = reply.search( 'MSIE 4.' )
    return ( -1 != idx )
    }

// Determine where to find global variables.
// (We don't use 'top' because that will fail within a foreign frame.)
if ( ! window.wlx )
    {
    for ( 
        var i = 0, ancestor = window ; 
        i < 10 && ancestor != undefined && !window.wlx ; 
        ancestor = ancestor.parent, i++ 
        )
        {
        if ( ancestor.isGlobal ) window.wlx = ancestor
        }
    }
if (! window.wlx) window.wlx = navigator

if (window.wlx === undefined) alert( 'global.js: window.wlx undefined!')
