// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
var Index
Index._files = new Array();
Index._files[ 'Mat.'  ] = 'index_m';
Index._files[ 'Mark'  ] = 'index_m';
Index._files[ 'Luke'  ] = 'index_l';
Index._files[ 'John'  ] = 'index_j';
Index._files[ 'Acts'  ] = 'index_a';
Index._files[ 'Rom.'  ] = 'index_r';
Index._files[ '1Cor.' ] = 'index_1';
Index._files[ '2Cor.' ] = 'index_2';
Index._files[ 'Gal.'  ] = 'index_g';
Index._files[ 'Eph.'  ] = 'index_e';
Index._files[ 'Php.'  ] = 'index_p';
Index._files[ 'Col.'  ] = 'index_c';
Index._files[ '1Th.'  ] = 'index_1';
Index._files[ '2Th.'  ] = 'index_2';
Index._files[ '1Ti.'  ] = 'index_1';
Index._files[ '2Ti.'  ] = 'index_2';
Index._files[ 'Tit.'  ] = 'index_t';
Index._files[ 'Phm.'  ] = 'index_p';
Index._files[ 'Heb.'  ] = 'index_h';
Index._files[ 'Jas.'  ] = 'index_j';
Index._files[ '1Pe.'  ] = 'index_1';
Index._files[ '2Pe.'  ] = 'index_2';
Index._files[ '1Jn.'  ] = 'index_1';
Index._files[ '2Jn.'  ] = 'index_2';
Index._files[ '3Jn.'  ] = 'index_3';
Index._files[ 'Jude'  ] = 'index_j';
Index._files[ 'Rev.'  ] = 'index_r';
Index._files[ 'Gen.'  ] = 'index_g';
Index._files[ 'Ex.'   ] = 'index_e';
Index._files[ 'Lev.'  ] = 'index_l';
Index._files[ 'Num.'  ] = 'index_n';
Index._files[ 'Deu.'  ] = 'index_d';
Index._files[ 'Jos.'  ] = 'index_j';
Index._files[ 'Jdg.'  ] = 'index_j';
Index._files[ 'Ru.'   ] = 'index_r';
Index._files[ '1S.'   ] = 'index_1';
Index._files[ '2S.'   ] = 'index_2';
Index._files[ '1K.'   ] = 'index_1';
Index._files[ '2K.'   ] = 'index_2';
Index._files[ '1Chr.' ] = 'index_1';
Index._files[ '2Chr.' ] = 'index_2';
Index._files[ 'Ezra'  ] = 'index_e';
Index._files[ 'Ne.'   ] = 'index_n';
Index._files[ 'Est.'  ] = 'index_e';
Index._files[ 'Job'   ] = 'index_j';
Index._files[ 'Ps.'   ] = 'index_p';
Index._files[ 'Pr.'   ] = 'index_p';
Index._files[ 'Ecc.'  ] = 'index_e';
Index._files[ 'Sos.'  ] = 'index_s';
Index._files[ 'Isa.'  ] = 'index_i';
Index._files[ 'Jer.'  ] = 'index_j';
Index._files[ 'Lam.'  ] = 'index_l';
Index._files[ 'Eze.'  ] = 'index_e';
Index._files[ 'Dan.'  ] = 'index_d';
Index._files[ 'Hos.'  ] = 'index_h';
Index._files[ 'Joel'  ] = 'index_j';
Index._files[ 'Amos'  ] = 'index_a';
Index._files[ 'Ob.'   ] = 'index_o';
Index._files[ 'Jonah' ] = 'index_j';
Index._files[ 'Mic.'  ] = 'index_m';
Index._files[ 'Nah.'  ] = 'index_n';
Index._files[ 'Hab.'  ] = 'index_h';
Index._files[ 'Zep.'  ] = 'index_z';
Index._files[ 'Hag.'  ] = 'index_h';
Index._files[ 'Zec.'  ] = 'index_z';
Index._files[ 'Mal.'  ] = 'index_m';
function Index()
    {
    if ( this._searchBinary !== undefined )
        {
        this._searchBinary = true
        }
    }
new Index();
wlx.wlx_Index_TITLE = 'Index';
Index.prototype = new Book( wlx.wlx_Index_TITLE, Index._files );
Index.prototype.goHelp = function()
    {
    this.goFile( 'index.htm' );
    }
Index.prototype.goIndex = function()
    {
    this.goFile( 'go.htm' );
    }
Index.prototype.goTopicUnconditional = function( topic, pane )
    {
    if ( pane != this.pane() )
        {
        var chapterName = topic.toLowerCase().substring( 0, 1 );
        var file = "index_" + chapterName + ".htm#" + topic;
        this.goFile( file );
        }
    else
        {
        this.goMoved( false )
        }
    return true;
    }
Index.prototype.goAddress = function( address, pane )
    {
    if ( pane == this.pane() )
        {
        wlx.wlx_linker.requestAddressableBook( wlx.wlx_Index_TITLE )
        }
    return this.BOOK_goAddress( address, pane )
    }
Index.prototype.goAddressUnconditional = function( address, pane )
    {
    var book = address.book();
    var file = this.file( book ) + ".htm#";
    file += book + '_C' + address.chapter() + "V" + address.verse();
    this.goFile( file );
    return true
    }
