// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
function Naves()
    {
    }
new Naves();
wlx.wlx_Naves_TITLE = 'Naves';
Naves.prototype = new Book( wlx.wlx_Naves_TITLE, wlx.wlx_bibleBookFilePrefixes )
Naves.prototype.goHelp = function()
    {
    this.goFile( 'naves.htm' );
    }
Naves.prototype.goIndex = function()
    {
    this.goFile( 'go.htm' );
    }
Naves.prototype.goTopicUnconditional = function( topic, pane )
    {
    var external = ( !this._reader.containsPane( pane ) )
    this.searchBinary( external)
    if ( false && external )
        {
        topic = topic.match( /[A-Za-z0-9\-]+/ )
        topic = topic[ 0 ]
        }
    topic = topic.replace( /_/g, ' ' );
    var firstChar = topic.substr( 0, 1 )
    if ( 
        firstChar < 'A' || 
        ( 'Z' < firstChar && firstChar < 'a' ) || 
        'z' < firstChar
        )
        {
        return true;
        }
    var chapterName = topic.toLowerCase()
    chapterName = chapterName.substring( 0, 2 );
    var second = chapterName.charAt( 1 )
    if ( chapterName.length < 2 || !( 'a' <= second && second <= 'z' ) )
        {
        chapterName = chapterName.charAt( 0 ) + 'a'
        }
    var file = "naves_" + chapterName + ".htm#" + topic;
    this.goFile( file );
    return true;
    }
Naves.prototype.goAddressUnconditional = function( address, pane ) 
    { 
    chapter = address.chapter();
    if ( chapter < 10 )
        {
        chapter = "00" + chapter;
        }
    else if ( chapter < 100 )
        {
        chapter = "0" + chapter;
        }
    var file = this.file( address.book() ); 
    file += "c" + chapter + ".htm";
    file += "#" + address.book() + '_';
    file += "C" + address.chapter() + "V" + address.verse();
    this.goFile( file, this.pane().b )
    return true;
    }
