// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
var cookieName = 'Wordlinks'
var cookiePath = ''
var cookieDomain = ''
wlx.wlx_openBooks = function ( pane )
    {
    wlx.wlx_linker = new Linker( pane );
    wlx.wlx_linker.setColumnSelection( wlx.wlx_maxColumns )
    wlx.wlx_linker.setTextSizeSelection( wlx.wlx_textSize )
    for ( var i = 0 ; i < wlx.wlx_columns ; ++i )
        {
        var reader = new Reader( 'reader', (i+1).toString(), pane );
        reader.link( wlx.wlx_linker );
        var title = undefined
        if ( wlx.wlx_books != undefined  && wlx.wlx_books.length )
            {
            if ( wlx.wlx_books[ i ] != undefined )
                {
                var book = wlx.wlx_books[ i ]
                book = book.toLowerCase()
                titles = reader.titles()
                for ( t = 0 ; t < titles.length ; ++t )
                    {
                    var check = titles[ t ]
                    if ( check )
                        {
                        check = check.toLowerCase()
                        check = check.substring( 0, book.length )
                        if ( book == check )
                            {
                            title = titles[ t ];
                            break
                            }
                        }
                    }
                }
            }
        reader.openBook( title, wlx.wlx_locks[ i ], wlx.wlx_seeks[ i ] )
        
        }
    }
wlx.wlx_onReaderUnload = function( pane )
    {
    if ( wlx.wlx_unloadingCount == undefined )
        {
        wlx.wlx_unloadingCount = wlx.wlx_columns
        }
    wlx.wlx_unloadingCount -= 1
    if ( wlx.wlx_loadingCount == 0 )
        {
        }
    }
wlx.wlx_onReaderLoad = function( pane )
    {
    if ( wlx.wlx_loadingCount == undefined )
        {
        wlx.wlx_loadingCount = wlx.wlx_columns
        }
    wlx.wlx_loadingCount -= 1
    if ( wlx.wlx_loadingCount == 0 )
        {
        }
    }
wlx.wlx_onAllLoaded = function()
    {
    }
onUnload = function( window )
    {
    }
wlx.wlx_saveStateToCookie = function( newTitle, newTopic )
    {
    var save = ''
    if ( wlx.wlx_lastTopic != undefined )
        {
        save += '?topic=' + wlx.wlx_lastTopic
        }
    if ( wlx.wlx_linker != undefined )
        {
        var readers = wlx.wlx_linker.getReaders()
        for ( i = 0 ; i < readers.length ; ++i )
            {
            title = readers[ i ].title()
            save += '?book=' + title
            var seek = readers[ i ].seekLast()
            if ( seek !== undefined && seek != 'undefined' )
                {
                save += ',' + seek
                }
            if ( readers[ i ].isLocked() )
                {
                save += ',locked'
                }
            }
        }
    if ( newTitle !== undefined && newTitle != 'undefined' )
        {
        save += '?book=' + newTitle
        save += ',' + newTopic
        }
    save += '?columns=' + wlx.wlx_maxColumns
    save += '?fontsize=' + wlx.wlx_textSize
    save = escape( save )
    wlx.wlx_saveCookie( save )
    
    }
wlx.wlx_saveCookie = function( argString )
    {
    var hours = 31 * 24 // one month
    var date = new Date((new Date()).getTime() + hours*3600000);
    var expires = '; expires=' + date.toGMTString();
    var save =  cookieName + '=' + argString
    save += cookiePath + cookieDomain + expires
    document.cookie = save
    }
wlx.wlx_deleteCookie = function()
    {
    var save =  cookieName + '=deleted'
    save += cookiePath + cookieDomain + '; expires=Fri, 02-Jan-1970 00:00:00 GMT'
    document.cookie = save
    }
wlx.wlx_cancelSubmit = function()
    {
    return false;
    }
wlx.wlx_decodeArgs = function( args )
    {
    if ( args == undefined || args.length == 0 )
        {
        restore = document.cookie
        //alert( 'alert cookie: ' + restore )
        names = restore.split( ';' )
        for ( n = 0 ; n < names.length ; ++n )
            {
            pair = names[ n ].split( '=' )
            found = pair[ 0 ].search( cookieName )
            if ( 0 <= found )
                {
                args = pair[ 1 ]
                break
                }
            }
        }
    args = unescape( args )
    args = args.replace( / /g, '_' )
    args = args.replace( /%20/g, '_' )
    args = args.replace( /&/g, '?' )
    args = args.split( '?' )
    //alert( 'alert args: ' + args )
    globalTopic = undefined
    wlx.wlx_books = new Array()
    wlx.wlx_seeks = new Array()
    wlx.wlx_locks = new Array()
    wlx.wlx_maxColumns = 'AUTO'
    if (! wlx.wlx_textSize ) wlx.wlx_textSize = 'medium'
    for ( a = 0 ; a < args.length ; ++a )
        {
        pair = args[ a ].split( '=' )
        if ( pair != undefined && pair.length == 2 )
            {
            //alert( 'wlx_decodeArgs ' + pair )
            var key = pair[ 0 ]
            var value = pair[ 1 ]
            var key = key.toLowerCase()
            if ( key.charAt( 0 ) == 't' )
                {
                globalTopic = value
                }
            else if ( key.charAt( 0 ) == 'n' )
                {
                }
            else if ( key.charAt( 0 ) == 'c' )
                {
                wlx.wlx_maxColumns = value
                }
            else if ( key.charAt( 0 ) == 'f' )
                {
                wlx.wlx_textSize = value
                }
            else if ( key.charAt( 0 ) == 'b' )
                {
                bookAndSeek = value.split( ',' )
                //alert ('wlx_decodeArgs bookAndSeek ' + bookAndSeek )
                if ( bookAndSeek[ 0 ] == 'net' )
                    {
                    }
                wlx.wlx_books[ wlx.wlx_books.length ] = bookAndSeek[ 0 ]
                var seek = globalTopic
                if ( 1 < bookAndSeek.length )
                    {
                    seek = bookAndSeek[ 1 ]
                    }
                wlx.wlx_seeks[ wlx.wlx_seeks.length ] = seek
                var isLocked = false
                if ( 2 < bookAndSeek.length )
                    {
                    var lockString = bookAndSeek[ 2 ]
                    isLocked = ( lockString == "locked" )
                    }
                wlx.wlx_locks[ wlx.wlx_locks.length ] = isLocked
                }
            else if ( key.charAt( 0 ) == 'r' )
                {
                wlx.wlx_columns = 2
                wlx.wlx_books[ 0 ] = wlx.wlx_Tsk_TITLE
                wlx.wlx_seeks[ 0 ] = undefined
                wlx.wlx_books[ 1 ] = wlx.wlx_KjvBible_TITLE
                wlx.wlx_seeks[ 1 ] = undefined
                }
            }
        }
    wlx.wlx_columns = wlx.wlx_books.length
    //alert( 'alert columns ' + wlx.wlx_columns )
    //alert( 'alert books ' + wlx.wlx_books )
    //alert( 'alert seeks ' + wlx.wlx_seeks )
    if ( wlx.wlx_columns == 0 )
        {
        wlx.wlx_columns = 2
        wlx.wlx_books[ 0 ] = wlx.wlx_NasbsBible_TITLE
        wlx.wlx_seeks[ 0 ] = "John_3:16"
        wlx.wlx_books[ 1 ] = wlx.wlx_Tsk_TITLE
        wlx.wlx_seeks[ 1 ] = "John_3:16"
        }
    for ( var i = 0 ; i < wlx.wlx_columns ; ++i )
        {
        if ( wlx.wlx_seeks[ i ] == undefined )
            {
            wlx.wlx_seeks[ i ] = globalTopic
            }
        }
    return wlx.wlx_columns
    }

wlx.wlx_start = function( pane, readers )
    {
    if ( readers != wlx.wlx_columns )
        {
        var linkerPane = pane.window.linker_pane
        if ( linkerPane === undefined )
        {
            linkerPane = pane.parent.window.linker_pane
        }
        if ( linkerPane === undefined )
        {
            alert( 'Linker pane undefined!' );
        }
        linkerPane.location.replace( 'linker' + wlx.wlx_columns + '.htm' )
        return
        }
    wlx.wlx_openBooks( pane )
    }
