//------------------------------------------------------------------
// xalone.js
//------------------------------------------------------------------
// Tony Garland
// contact@spiritandtruth.org

var undefined;
//------------------------------------------------------------------
// Field a Cross-Reference Generated Within this Book
//------------------------------------------------------------------
window.bookFiles = new Array()
window.bookFiles[ 'mat.'  ] = 'b40';
window.bookFiles[ 'mark'  ] = 'b41';
window.bookFiles[ 'luke'  ] = 'b42';
window.bookFiles[ 'john'  ] = 'b43';
window.bookFiles[ 'acts'  ] = 'b44';
window.bookFiles[ 'rom.'  ] = 'b45';
window.bookFiles[ '1cor.' ] = 'b46';
window.bookFiles[ '2cor.' ] = 'b47';
window.bookFiles[ 'gal.'  ] = 'b48';
window.bookFiles[ 'eph.'  ] = 'b49';
window.bookFiles[ 'php.'  ] = 'b50';
window.bookFiles[ 'col.'  ] = 'b51';
window.bookFiles[ '1th.'  ] = 'b52';
window.bookFiles[ '2th.'  ] = 'b53';
window.bookFiles[ '1ti.'  ] = 'b54';
window.bookFiles[ '2ti.'  ] = 'b55';
window.bookFiles[ 'tit.'  ] = 'b56';
window.bookFiles[ 'phm.'  ] = 'b57';
window.bookFiles[ 'heb.'  ] = 'b58';
window.bookFiles[ 'jas.'  ] = 'b59';
window.bookFiles[ '1pe.'  ] = 'b60';
window.bookFiles[ '2pe.'  ] = 'b61';
window.bookFiles[ '1jn.'  ] = 'b62';
window.bookFiles[ '2jn.'  ] = 'b63';
window.bookFiles[ '3jn.'  ] = 'b64';
window.bookFiles[ 'jude'  ] = 'b65';
window.bookFiles[ 'rev.'  ] = 'b66';

window.bookFiles[ 'gen.'  ] = 'b01';
window.bookFiles[ 'ex.'   ] = 'b02';
window.bookFiles[ 'lev.'  ] = 'b03';
window.bookFiles[ 'num.'  ] = 'b04';
window.bookFiles[ 'deu.'  ] = 'b05';
window.bookFiles[ 'jos.'  ] = 'b06';
window.bookFiles[ 'jdg.'  ] = 'b07';
window.bookFiles[ 'ru.'   ] = 'b08';
window.bookFiles[ '1s.'   ] = 'b09';
window.bookFiles[ '2s.'   ] = 'b10';
window.bookFiles[ '1k.'   ] = 'b11';
window.bookFiles[ '2k.'   ] = 'b12';
window.bookFiles[ '1chr.' ] = 'b13';
window.bookFiles[ '2chr.' ] = 'b14';
window.bookFiles[ 'ezra'  ] = 'b15';
window.bookFiles[ 'ne.'   ] = 'b16';
window.bookFiles[ 'est.'  ] = 'b17';
window.bookFiles[ 'job'   ] = 'b18';
window.bookFiles[ 'ps.'   ] = 'b19';
window.bookFiles[ 'pr.'   ] = 'b20';
window.bookFiles[ 'ecc.'  ] = 'b21';
window.bookFiles[ 'sos.'  ] = 'b22';
window.bookFiles[ 'isa.'  ] = 'b23';
window.bookFiles[ 'jer.'  ] = 'b24';
window.bookFiles[ 'lam.'  ] = 'b25';
window.bookFiles[ 'eze.'  ] = 'b26';
window.bookFiles[ 'dan.'  ] = 'b27';
window.bookFiles[ 'hos.'  ] = 'b28';
window.bookFiles[ 'joel'  ] = 'b29';
window.bookFiles[ 'amos'  ] = 'b30';
window.bookFiles[ 'ob.'   ] = 'b31';
window.bookFiles[ 'jonah' ] = 'b32';
window.bookFiles[ 'mic.'  ] = 'b33';
window.bookFiles[ 'nah.'  ] = 'b34';
window.bookFiles[ 'hab.'  ] = 'b35';
window.bookFiles[ 'zep.'  ] = 'b36';
window.bookFiles[ 'hag.'  ] = 'b37';
window.bookFiles[ 'zec.'  ] = 'b38';
window.bookFiles[ 'mal.'  ] = 'b39';

var Address
Address._books = 
    [
    'Gen.',
    'Ex.',
    'Lev.',
    'Num.',
    'Deu.',
    'Jos.',
    'Jdg.',
    'Ru.',
    '1S.',
    '2S.',
    '1K.',
    '2K.',
    '1Chr.',
    '2Chr.',
    'Ezra',
    'Ne.',
    'Est.',
    'Job',
    'Ps.',
    'Pr.',
    'Ecc.',
    'Sos.',
    'Isa.',
    'Jer.',
    'Lam.',
    'Eze.',
    'Dan.',
    'Hos.',
    'Joel',
    'Amos',
    'Ob.',
    'Jonah',
    'Mic.',
    'Nah.',
    'Hab.',
    'Zep.',
    'Hag.',
    'Zec.',
    'Mal.',
    'Mat.',
    'Mark',
    'Luke',
    'John',
    'Acts',
    'Rom.',
    '1Cor.',
    '2Cor.',
    'Gal.',
    'Eph.',
    'Php.',
    'Col.',
    '1Th.',
    '2Th.',
    '1Ti.',
    '2Ti.',
    'Tit.',
    'Phm.',
    'Heb.',
    'Jas.',
    '1Pe.',
    '2Pe.',
    '1Jn.',
    '2Jn.',
    '3Jn.',
    'Jude',
    'Rev.'
    ];
Address._booksLong = 
    [
    'Genesis',
    'Exodus',
    'Leviticus',
    'Numbers',
    'Deuteronomy',
    'Joshua',
    'Judges',
    'Ruth',
    '1 Samuel',
    '2 Samuel',
    '1 Kings',
    '2 Kings',
    '1 Chronicles',
    '2 Chronicles.',
    'Ezra',
    'Nehemiah',
    'Esther',
    'Job',
    'Psalms',
    'Proverbs',
    'Ecclesiastes',
    'Song of Solomon',
    'Isaiah',
    'Jeremiah',
    'Lamentations',
    'Ezekial',
    'Daniel',
    'Hosea',
    'Joel',
    'Amos',
    'Obadiah',
    'Jonah',
    'Micah',
    'Nahum',
    'Habbakkuk',
    'Zephaniah',
    'Haggai',
    'Zechariah',
    'Malachi',
    'Matthew',
    'Mark',
    'Luke',
    'John',
    'Acts',
    'Romans',
    '1 Corinthians',
    '2 Corinthians',
    'Galatians',
    'Ephesians',
    'Philippians',
    'Colossians',
    '1 Thessalonians',
    '2 Thessalonians',
    '1 Timothy',
    '2 Timothy',
    'Titus',
    'Philemon',
    'Hebrews',
    'James',
    '1 Peter',
    '2 Peter',
    '1 John',
    '2 John',
    '3 John',
    'Jude',
    'Revelation'
    ];
Address._range = new Array();
Address._range[ 'Gen.1' ] =  31;
Address._range[ 'Gen.2' ] =  25;
Address._range[ 'Gen.3' ] =  24;
Address._range[ 'Gen.4' ] =  26;
Address._range[ 'Gen.5' ] =  32;
Address._range[ 'Gen.6' ] =  22;
Address._range[ 'Gen.7' ] =  24;
Address._range[ 'Gen.8' ] =  22;
Address._range[ 'Gen.9' ] =  29;
Address._range[ 'Gen.10' ] =  32;
Address._range[ 'Gen.11' ] =  32;
Address._range[ 'Gen.12' ] =  20;
Address._range[ 'Gen.13' ] =  18;
Address._range[ 'Gen.14' ] =  24;
Address._range[ 'Gen.15' ] =  21;
Address._range[ 'Gen.16' ] =  16;
Address._range[ 'Gen.17' ] =  27;
Address._range[ 'Gen.18' ] =  33;
Address._range[ 'Gen.19' ] =  38;
Address._range[ 'Gen.20' ] =  18;
Address._range[ 'Gen.21' ] =  34;
Address._range[ 'Gen.22' ] =  24;
Address._range[ 'Gen.23' ] =  20;
Address._range[ 'Gen.24' ] =  67;
Address._range[ 'Gen.25' ] =  34;
Address._range[ 'Gen.26' ] =  35;
Address._range[ 'Gen.27' ] =  46;
Address._range[ 'Gen.28' ] =  22;
Address._range[ 'Gen.29' ] =  35;
Address._range[ 'Gen.30' ] =  43;
Address._range[ 'Gen.31' ] =  55;
Address._range[ 'Gen.32' ] =  32;
Address._range[ 'Gen.33' ] =  20;
Address._range[ 'Gen.34' ] =  31;
Address._range[ 'Gen.35' ] =  29;
Address._range[ 'Gen.36' ] =  43;
Address._range[ 'Gen.37' ] =  36;
Address._range[ 'Gen.38' ] =  30;
Address._range[ 'Gen.39' ] =  23;
Address._range[ 'Gen.40' ] =  23;
Address._range[ 'Gen.41' ] =  57;
Address._range[ 'Gen.42' ] =  38;
Address._range[ 'Gen.43' ] =  34;
Address._range[ 'Gen.44' ] =  34;
Address._range[ 'Gen.45' ] =  28;
Address._range[ 'Gen.46' ] =  34;
Address._range[ 'Gen.47' ] =  31;
Address._range[ 'Gen.48' ] =  22;
Address._range[ 'Gen.49' ] =  33;
Address._range[ 'Gen.50' ] =  26;
Address._range[ 'Gen.' ] = 50;
Address._range[ 'Ex.1' ] =  22;
Address._range[ 'Ex.2' ] =  25;
Address._range[ 'Ex.3' ] =  22;
Address._range[ 'Ex.4' ] =  31;
Address._range[ 'Ex.5' ] =  23;
Address._range[ 'Ex.6' ] =  30;
Address._range[ 'Ex.7' ] =  25;
Address._range[ 'Ex.8' ] =  32;
Address._range[ 'Ex.9' ] =  35;
Address._range[ 'Ex.10' ] =  29;
Address._range[ 'Ex.11' ] =  10;
Address._range[ 'Ex.12' ] =  51;
Address._range[ 'Ex.13' ] =  22;
Address._range[ 'Ex.14' ] =  31;
Address._range[ 'Ex.15' ] =  27;
Address._range[ 'Ex.16' ] =  36;
Address._range[ 'Ex.17' ] =  16;
Address._range[ 'Ex.18' ] =  27;
Address._range[ 'Ex.19' ] =  25;
Address._range[ 'Ex.20' ] =  26;
Address._range[ 'Ex.21' ] =  36;
Address._range[ 'Ex.22' ] =  31;
Address._range[ 'Ex.23' ] =  33;
Address._range[ 'Ex.24' ] =  18;
Address._range[ 'Ex.25' ] =  40;
Address._range[ 'Ex.26' ] =  37;
Address._range[ 'Ex.27' ] =  21;
Address._range[ 'Ex.28' ] =  43;
Address._range[ 'Ex.29' ] =  46;
Address._range[ 'Ex.30' ] =  38;
Address._range[ 'Ex.31' ] =  18;
Address._range[ 'Ex.32' ] =  35;
Address._range[ 'Ex.33' ] =  23;
Address._range[ 'Ex.34' ] =  35;
Address._range[ 'Ex.35' ] =  35;
Address._range[ 'Ex.36' ] =  38;
Address._range[ 'Ex.37' ] =  29;
Address._range[ 'Ex.38' ] =  31;
Address._range[ 'Ex.39' ] =  43;
Address._range[ 'Ex.40' ] =  38;
Address._range[ 'Ex.' ] = 40;
Address._range[ 'Lev.1' ] =  17;
Address._range[ 'Lev.2' ] =  16;
Address._range[ 'Lev.3' ] =  17;
Address._range[ 'Lev.4' ] =  35;
Address._range[ 'Lev.5' ] =  19;
Address._range[ 'Lev.6' ] =  30;
Address._range[ 'Lev.7' ] =  38;
Address._range[ 'Lev.8' ] =  36;
Address._range[ 'Lev.9' ] =  24;
Address._range[ 'Lev.10' ] =  20;
Address._range[ 'Lev.11' ] =  47;
Address._range[ 'Lev.12' ] =  8;
Address._range[ 'Lev.13' ] =  59;
Address._range[ 'Lev.14' ] =  57;
Address._range[ 'Lev.15' ] =  33;
Address._range[ 'Lev.16' ] =  34;
Address._range[ 'Lev.17' ] =  16;
Address._range[ 'Lev.18' ] =  30;
Address._range[ 'Lev.19' ] =  37;
Address._range[ 'Lev.20' ] =  27;
Address._range[ 'Lev.21' ] =  24;
Address._range[ 'Lev.22' ] =  33;
Address._range[ 'Lev.23' ] =  44;
Address._range[ 'Lev.24' ] =  23;
Address._range[ 'Lev.25' ] =  55;
Address._range[ 'Lev.26' ] =  46;
Address._range[ 'Lev.27' ] =  34;
Address._range[ 'Lev.' ] = 27;
Address._range[ 'Num.1' ] =  54;
Address._range[ 'Num.2' ] =  34;
Address._range[ 'Num.3' ] =  51;
Address._range[ 'Num.4' ] =  49;
Address._range[ 'Num.5' ] =  31;
Address._range[ 'Num.6' ] =  27;
Address._range[ 'Num.7' ] =  89;
Address._range[ 'Num.8' ] =  26;
Address._range[ 'Num.9' ] =  23;
Address._range[ 'Num.10' ] =  36;
Address._range[ 'Num.11' ] =  35;
Address._range[ 'Num.12' ] =  16;
Address._range[ 'Num.13' ] =  33;
Address._range[ 'Num.14' ] =  45;
Address._range[ 'Num.15' ] =  41;
Address._range[ 'Num.16' ] =  50;
Address._range[ 'Num.17' ] =  13;
Address._range[ 'Num.18' ] =  32;
Address._range[ 'Num.19' ] =  22;
Address._range[ 'Num.20' ] =  29;
Address._range[ 'Num.21' ] =  35;
Address._range[ 'Num.22' ] =  41;
Address._range[ 'Num.23' ] =  30;
Address._range[ 'Num.24' ] =  25;
Address._range[ 'Num.25' ] =  18;
Address._range[ 'Num.26' ] =  65;
Address._range[ 'Num.27' ] =  23;
Address._range[ 'Num.28' ] =  31;
Address._range[ 'Num.29' ] =  40;
Address._range[ 'Num.30' ] =  16;
Address._range[ 'Num.31' ] =  54;
Address._range[ 'Num.32' ] =  42;
Address._range[ 'Num.33' ] =  56;
Address._range[ 'Num.34' ] =  29;
Address._range[ 'Num.35' ] =  34;
Address._range[ 'Num.36' ] =  13;
Address._range[ 'Num.' ] = 36;
Address._range[ 'Deu.1' ] =  46;
Address._range[ 'Deu.2' ] =  37;
Address._range[ 'Deu.3' ] =  29;
Address._range[ 'Deu.4' ] =  49;
Address._range[ 'Deu.5' ] =  33;
Address._range[ 'Deu.6' ] =  25;
Address._range[ 'Deu.7' ] =  26;
Address._range[ 'Deu.8' ] =  20;
Address._range[ 'Deu.9' ] =  29;
Address._range[ 'Deu.10' ] =  22;
Address._range[ 'Deu.11' ] =  32;
Address._range[ 'Deu.12' ] =  32;
Address._range[ 'Deu.13' ] =  18;
Address._range[ 'Deu.14' ] =  29;
Address._range[ 'Deu.15' ] =  23;
Address._range[ 'Deu.16' ] =  22;
Address._range[ 'Deu.17' ] =  20;
Address._range[ 'Deu.18' ] =  22;
Address._range[ 'Deu.19' ] =  21;
Address._range[ 'Deu.20' ] =  20;
Address._range[ 'Deu.21' ] =  23;
Address._range[ 'Deu.22' ] =  30;
Address._range[ 'Deu.23' ] =  25;
Address._range[ 'Deu.24' ] =  22;
Address._range[ 'Deu.25' ] =  19;
Address._range[ 'Deu.26' ] =  19;
Address._range[ 'Deu.27' ] =  26;
Address._range[ 'Deu.28' ] =  68;
Address._range[ 'Deu.29' ] =  29;
Address._range[ 'Deu.30' ] =  20;
Address._range[ 'Deu.31' ] =  30;
Address._range[ 'Deu.32' ] =  52;
Address._range[ 'Deu.33' ] =  29;
Address._range[ 'Deu.34' ] =  12;
Address._range[ 'Deu.' ] = 34;
Address._range[ 'Jos.1' ] =  18;
Address._range[ 'Jos.2' ] =  24;
Address._range[ 'Jos.3' ] =  17;
Address._range[ 'Jos.4' ] =  24;
Address._range[ 'Jos.5' ] =  15;
Address._range[ 'Jos.6' ] =  27;
Address._range[ 'Jos.7' ] =  26;
Address._range[ 'Jos.8' ] =  35;
Address._range[ 'Jos.9' ] =  27;
Address._range[ 'Jos.10' ] =  43;
Address._range[ 'Jos.11' ] =  23;
Address._range[ 'Jos.12' ] =  24;
Address._range[ 'Jos.13' ] =  33;
Address._range[ 'Jos.14' ] =  15;
Address._range[ 'Jos.15' ] =  63;
Address._range[ 'Jos.16' ] =  10;
Address._range[ 'Jos.17' ] =  18;
Address._range[ 'Jos.18' ] =  28;
Address._range[ 'Jos.19' ] =  51;
Address._range[ 'Jos.20' ] =  9;
Address._range[ 'Jos.21' ] =  45;
Address._range[ 'Jos.22' ] =  34;
Address._range[ 'Jos.23' ] =  16;
Address._range[ 'Jos.24' ] =  33;
Address._range[ 'Jos.' ] = 24;
Address._range[ 'Jdg.1' ] =  36;
Address._range[ 'Jdg.2' ] =  23;
Address._range[ 'Jdg.3' ] =  31;
Address._range[ 'Jdg.4' ] =  24;
Address._range[ 'Jdg.5' ] =  31;
Address._range[ 'Jdg.6' ] =  40;
Address._range[ 'Jdg.7' ] =  25;
Address._range[ 'Jdg.8' ] =  35;
Address._range[ 'Jdg.9' ] =  57;
Address._range[ 'Jdg.10' ] =  18;
Address._range[ 'Jdg.11' ] =  40;
Address._range[ 'Jdg.12' ] =  15;
Address._range[ 'Jdg.13' ] =  25;
Address._range[ 'Jdg.14' ] =  20;
Address._range[ 'Jdg.15' ] =  20;
Address._range[ 'Jdg.16' ] =  31;
Address._range[ 'Jdg.17' ] =  13;
Address._range[ 'Jdg.18' ] =  31;
Address._range[ 'Jdg.19' ] =  30;
Address._range[ 'Jdg.20' ] =  48;
Address._range[ 'Jdg.21' ] =  25;
Address._range[ 'Jdg.' ] = 21;
Address._range[ 'Ru.1' ] =  22;
Address._range[ 'Ru.2' ] =  23;
Address._range[ 'Ru.3' ] =  18;
Address._range[ 'Ru.4' ] =  22;
Address._range[ 'Ru.' ] = 4;
Address._range[ '1S.1' ] =  28;
Address._range[ '1S.2' ] =  36;
Address._range[ '1S.3' ] =  21;
Address._range[ '1S.4' ] =  22;
Address._range[ '1S.5' ] =  12;
Address._range[ '1S.6' ] =  21;
Address._range[ '1S.7' ] =  17;
Address._range[ '1S.8' ] =  22;
Address._range[ '1S.9' ] =  27;
Address._range[ '1S.10' ] =  27;
Address._range[ '1S.11' ] =  15;
Address._range[ '1S.12' ] =  25;
Address._range[ '1S.13' ] =  23;
Address._range[ '1S.14' ] =  52;
Address._range[ '1S.15' ] =  35;
Address._range[ '1S.16' ] =  23;
Address._range[ '1S.17' ] =  58;
Address._range[ '1S.18' ] =  30;
Address._range[ '1S.19' ] =  24;
Address._range[ '1S.20' ] =  42;
Address._range[ '1S.21' ] =  15;
Address._range[ '1S.22' ] =  23;
Address._range[ '1S.23' ] =  29;
Address._range[ '1S.24' ] =  22;
Address._range[ '1S.25' ] =  44;
Address._range[ '1S.26' ] =  25;
Address._range[ '1S.27' ] =  12;
Address._range[ '1S.28' ] =  25;
Address._range[ '1S.29' ] =  11;
Address._range[ '1S.30' ] =  31;
Address._range[ '1S.31' ] =  13;
Address._range[ '1S.' ] = 31;
Address._range[ '2S.1' ] =  27;
Address._range[ '2S.2' ] =  32;
Address._range[ '2S.3' ] =  39;
Address._range[ '2S.4' ] =  12;
Address._range[ '2S.5' ] =  25;
Address._range[ '2S.6' ] =  23;
Address._range[ '2S.7' ] =  29;
Address._range[ '2S.8' ] =  18;
Address._range[ '2S.9' ] =  13;
Address._range[ '2S.10' ] =  19;
Address._range[ '2S.11' ] =  27;
Address._range[ '2S.12' ] =  31;
Address._range[ '2S.13' ] =  39;
Address._range[ '2S.14' ] =  33;
Address._range[ '2S.15' ] =  37;
Address._range[ '2S.16' ] =  23;
Address._range[ '2S.17' ] =  29;
Address._range[ '2S.18' ] =  33;
Address._range[ '2S.19' ] =  43;
Address._range[ '2S.20' ] =  26;
Address._range[ '2S.21' ] =  22;
Address._range[ '2S.22' ] =  51;
Address._range[ '2S.23' ] =  39;
Address._range[ '2S.24' ] =  25;
Address._range[ '2S.' ] = 24;
Address._range[ '1K.1' ] =  53;
Address._range[ '1K.2' ] =  46;
Address._range[ '1K.3' ] =  28;
Address._range[ '1K.4' ] =  34;
Address._range[ '1K.5' ] =  18;
Address._range[ '1K.6' ] =  38;
Address._range[ '1K.7' ] =  51;
Address._range[ '1K.8' ] =  66;
Address._range[ '1K.9' ] =  28;
Address._range[ '1K.10' ] =  29;
Address._range[ '1K.11' ] =  43;
Address._range[ '1K.12' ] =  33;
Address._range[ '1K.13' ] =  34;
Address._range[ '1K.14' ] =  31;
Address._range[ '1K.15' ] =  34;
Address._range[ '1K.16' ] =  34;
Address._range[ '1K.17' ] =  24;
Address._range[ '1K.18' ] =  46;
Address._range[ '1K.19' ] =  21;
Address._range[ '1K.20' ] =  43;
Address._range[ '1K.21' ] =  29;
Address._range[ '1K.22' ] =  53;
Address._range[ '1K.' ] = 22;
Address._range[ '2K.1' ] =  18;
Address._range[ '2K.2' ] =  25;
Address._range[ '2K.3' ] =  27;
Address._range[ '2K.4' ] =  44;
Address._range[ '2K.5' ] =  27;
Address._range[ '2K.6' ] =  33;
Address._range[ '2K.7' ] =  20;
Address._range[ '2K.8' ] =  29;
Address._range[ '2K.9' ] =  37;
Address._range[ '2K.10' ] =  36;
Address._range[ '2K.11' ] =  21;
Address._range[ '2K.12' ] =  21;
Address._range[ '2K.13' ] =  25;
Address._range[ '2K.14' ] =  29;
Address._range[ '2K.15' ] =  38;
Address._range[ '2K.16' ] =  20;
Address._range[ '2K.17' ] =  41;
Address._range[ '2K.18' ] =  37;
Address._range[ '2K.19' ] =  37;
Address._range[ '2K.20' ] =  21;
Address._range[ '2K.21' ] =  26;
Address._range[ '2K.22' ] =  20;
Address._range[ '2K.23' ] =  37;
Address._range[ '2K.24' ] =  20;
Address._range[ '2K.25' ] =  30;
Address._range[ '2K.' ] = 25;
Address._range[ '1Chr.1' ] =  54;
Address._range[ '1Chr.2' ] =  55;
Address._range[ '1Chr.3' ] =  24;
Address._range[ '1Chr.4' ] =  43;
Address._range[ '1Chr.5' ] =  26;
Address._range[ '1Chr.6' ] =  81;
Address._range[ '1Chr.7' ] =  40;
Address._range[ '1Chr.8' ] =  40;
Address._range[ '1Chr.9' ] =  44;
Address._range[ '1Chr.10' ] =  14;
Address._range[ '1Chr.11' ] =  47;
Address._range[ '1Chr.12' ] =  40;
Address._range[ '1Chr.13' ] =  14;
Address._range[ '1Chr.14' ] =  17;
Address._range[ '1Chr.15' ] =  29;
Address._range[ '1Chr.16' ] =  43;
Address._range[ '1Chr.17' ] =  27;
Address._range[ '1Chr.18' ] =  17;
Address._range[ '1Chr.19' ] =  19;
Address._range[ '1Chr.20' ] =  8;
Address._range[ '1Chr.21' ] =  30;
Address._range[ '1Chr.22' ] =  19;
Address._range[ '1Chr.23' ] =  32;
Address._range[ '1Chr.24' ] =  31;
Address._range[ '1Chr.25' ] =  31;
Address._range[ '1Chr.26' ] =  32;
Address._range[ '1Chr.27' ] =  34;
Address._range[ '1Chr.28' ] =  21;
Address._range[ '1Chr.29' ] =  30;
Address._range[ '1Chr.' ] = 29;
Address._range[ '2Chr.1' ] =  17;
Address._range[ '2Chr.2' ] =  18;
Address._range[ '2Chr.3' ] =  17;
Address._range[ '2Chr.4' ] =  22;
Address._range[ '2Chr.5' ] =  14;
Address._range[ '2Chr.6' ] =  42;
Address._range[ '2Chr.7' ] =  22;
Address._range[ '2Chr.8' ] =  18;
Address._range[ '2Chr.9' ] =  31;
Address._range[ '2Chr.10' ] =  19;
Address._range[ '2Chr.11' ] =  23;
Address._range[ '2Chr.12' ] =  16;
Address._range[ '2Chr.13' ] =  22;
Address._range[ '2Chr.14' ] =  15;
Address._range[ '2Chr.15' ] =  19;
Address._range[ '2Chr.16' ] =  14;
Address._range[ '2Chr.17' ] =  19;
Address._range[ '2Chr.18' ] =  34;
Address._range[ '2Chr.19' ] =  11;
Address._range[ '2Chr.20' ] =  37;
Address._range[ '2Chr.21' ] =  20;
Address._range[ '2Chr.22' ] =  12;
Address._range[ '2Chr.23' ] =  21;
Address._range[ '2Chr.24' ] =  27;
Address._range[ '2Chr.25' ] =  28;
Address._range[ '2Chr.26' ] =  23;
Address._range[ '2Chr.27' ] =  9;
Address._range[ '2Chr.28' ] =  27;
Address._range[ '2Chr.29' ] =  36;
Address._range[ '2Chr.30' ] =  27;
Address._range[ '2Chr.31' ] =  21;
Address._range[ '2Chr.32' ] =  33;
Address._range[ '2Chr.33' ] =  25;
Address._range[ '2Chr.34' ] =  33;
Address._range[ '2Chr.35' ] =  27;
Address._range[ '2Chr.36' ] =  23;
Address._range[ '2Chr.' ] = 36;
Address._range[ 'Ezra1' ] =  11;
Address._range[ 'Ezra2' ] =  70;
Address._range[ 'Ezra3' ] =  13;
Address._range[ 'Ezra4' ] =  24;
Address._range[ 'Ezra5' ] =  17;
Address._range[ 'Ezra6' ] =  22;
Address._range[ 'Ezra7' ] =  28;
Address._range[ 'Ezra8' ] =  36;
Address._range[ 'Ezra9' ] =  15;
Address._range[ 'Ezra10' ] =  44;
Address._range[ 'Ezra' ] = 10;
Address._range[ 'Ne.1' ] =  11;
Address._range[ 'Ne.2' ] =  20;
Address._range[ 'Ne.3' ] =  32;
Address._range[ 'Ne.4' ] =  23;
Address._range[ 'Ne.5' ] =  19;
Address._range[ 'Ne.6' ] =  19;
Address._range[ 'Ne.7' ] =  73;
Address._range[ 'Ne.8' ] =  18;
Address._range[ 'Ne.9' ] =  38;
Address._range[ 'Ne.10' ] =  39;
Address._range[ 'Ne.11' ] =  36;
Address._range[ 'Ne.12' ] =  47;
Address._range[ 'Ne.13' ] =  31;
Address._range[ 'Ne.' ] = 13;
Address._range[ 'Est.1' ] =  22;
Address._range[ 'Est.2' ] =  23;
Address._range[ 'Est.3' ] =  15;
Address._range[ 'Est.4' ] =  17;
Address._range[ 'Est.5' ] =  14;
Address._range[ 'Est.6' ] =  14;
Address._range[ 'Est.7' ] =  10;
Address._range[ 'Est.8' ] =  17;
Address._range[ 'Est.9' ] =  32;
Address._range[ 'Est.10' ] =  3;
Address._range[ 'Est.' ] = 10;
Address._range[ 'Job1' ] =  22;
Address._range[ 'Job2' ] =  13;
Address._range[ 'Job3' ] =  26;
Address._range[ 'Job4' ] =  21;
Address._range[ 'Job5' ] =  27;
Address._range[ 'Job6' ] =  30;
Address._range[ 'Job7' ] =  21;
Address._range[ 'Job8' ] =  22;
Address._range[ 'Job9' ] =  35;
Address._range[ 'Job10' ] =  22;
Address._range[ 'Job11' ] =  20;
Address._range[ 'Job12' ] =  25;
Address._range[ 'Job13' ] =  28;
Address._range[ 'Job14' ] =  22;
Address._range[ 'Job15' ] =  35;
Address._range[ 'Job16' ] =  22;
Address._range[ 'Job17' ] =  16;
Address._range[ 'Job18' ] =  21;
Address._range[ 'Job19' ] =  29;
Address._range[ 'Job20' ] =  29;
Address._range[ 'Job21' ] =  34;
Address._range[ 'Job22' ] =  30;
Address._range[ 'Job23' ] =  17;
Address._range[ 'Job24' ] =  25;
Address._range[ 'Job25' ] =  6;
Address._range[ 'Job26' ] =  14;
Address._range[ 'Job27' ] =  23;
Address._range[ 'Job28' ] =  28;
Address._range[ 'Job29' ] =  25;
Address._range[ 'Job30' ] =  31;
Address._range[ 'Job31' ] =  40;
Address._range[ 'Job32' ] =  22;
Address._range[ 'Job33' ] =  33;
Address._range[ 'Job34' ] =  37;
Address._range[ 'Job35' ] =  16;
Address._range[ 'Job36' ] =  33;
Address._range[ 'Job37' ] =  24;
Address._range[ 'Job38' ] =  41;
Address._range[ 'Job39' ] =  30;
Address._range[ 'Job40' ] =  24;
Address._range[ 'Job41' ] =  34;
Address._range[ 'Job42' ] =  17;
Address._range[ 'Job' ] = 42;
Address._range[ 'Ps.1' ] =  6;
Address._range[ 'Ps.2' ] =  12;
Address._range[ 'Ps.3' ] =  8;
Address._range[ 'Ps.4' ] =  8;
Address._range[ 'Ps.5' ] =  12;
Address._range[ 'Ps.6' ] =  10;
Address._range[ 'Ps.7' ] =  17;
Address._range[ 'Ps.8' ] =  9;
Address._range[ 'Ps.9' ] =  20;
Address._range[ 'Ps.10' ] =  18;
Address._range[ 'Ps.11' ] =  7;
Address._range[ 'Ps.12' ] =  8;
Address._range[ 'Ps.13' ] =  6;
Address._range[ 'Ps.14' ] =  7;
Address._range[ 'Ps.15' ] =  5;
Address._range[ 'Ps.16' ] =  11;
Address._range[ 'Ps.17' ] =  15;
Address._range[ 'Ps.18' ] =  50;
Address._range[ 'Ps.19' ] =  14;
Address._range[ 'Ps.20' ] =  9;
Address._range[ 'Ps.21' ] =  13;
Address._range[ 'Ps.22' ] =  31;
Address._range[ 'Ps.23' ] =  6;
Address._range[ 'Ps.24' ] =  10;
Address._range[ 'Ps.25' ] =  22;
Address._range[ 'Ps.26' ] =  12;
Address._range[ 'Ps.27' ] =  14;
Address._range[ 'Ps.28' ] =  9;
Address._range[ 'Ps.29' ] =  11;
Address._range[ 'Ps.30' ] =  12;
Address._range[ 'Ps.31' ] =  24;
Address._range[ 'Ps.32' ] =  11;
Address._range[ 'Ps.33' ] =  22;
Address._range[ 'Ps.34' ] =  22;
Address._range[ 'Ps.35' ] =  28;
Address._range[ 'Ps.36' ] =  12;
Address._range[ 'Ps.37' ] =  40;
Address._range[ 'Ps.38' ] =  22;
Address._range[ 'Ps.39' ] =  13;
Address._range[ 'Ps.40' ] =  17;
Address._range[ 'Ps.41' ] =  13;
Address._range[ 'Ps.42' ] =  11;
Address._range[ 'Ps.43' ] =  5;
Address._range[ 'Ps.44' ] =  26;
Address._range[ 'Ps.45' ] =  17;
Address._range[ 'Ps.46' ] =  11;
Address._range[ 'Ps.47' ] =  9;
Address._range[ 'Ps.48' ] =  14;
Address._range[ 'Ps.49' ] =  20;
Address._range[ 'Ps.50' ] =  23;
Address._range[ 'Ps.51' ] =  19;
Address._range[ 'Ps.52' ] =  9;
Address._range[ 'Ps.53' ] =  6;
Address._range[ 'Ps.54' ] =  7;
Address._range[ 'Ps.55' ] =  23;
Address._range[ 'Ps.56' ] =  13;
Address._range[ 'Ps.57' ] =  11;
Address._range[ 'Ps.58' ] =  11;
Address._range[ 'Ps.59' ] =  17;
Address._range[ 'Ps.60' ] =  12;
Address._range[ 'Ps.61' ] =  8;
Address._range[ 'Ps.62' ] =  12;
Address._range[ 'Ps.63' ] =  11;
Address._range[ 'Ps.64' ] =  10;
Address._range[ 'Ps.65' ] =  13;
Address._range[ 'Ps.66' ] =  20;
Address._range[ 'Ps.67' ] =  7;
Address._range[ 'Ps.68' ] =  35;
Address._range[ 'Ps.69' ] =  36;
Address._range[ 'Ps.70' ] =  5;
Address._range[ 'Ps.71' ] =  24;
Address._range[ 'Ps.72' ] =  20;
Address._range[ 'Ps.73' ] =  28;
Address._range[ 'Ps.74' ] =  23;
Address._range[ 'Ps.75' ] =  10;
Address._range[ 'Ps.76' ] =  12;
Address._range[ 'Ps.77' ] =  20;
Address._range[ 'Ps.78' ] =  72;
Address._range[ 'Ps.79' ] =  13;
Address._range[ 'Ps.80' ] =  19;
Address._range[ 'Ps.81' ] =  16;
Address._range[ 'Ps.82' ] =  8;
Address._range[ 'Ps.83' ] =  18;
Address._range[ 'Ps.84' ] =  12;
Address._range[ 'Ps.85' ] =  13;
Address._range[ 'Ps.86' ] =  17;
Address._range[ 'Ps.87' ] =  7;
Address._range[ 'Ps.88' ] =  18;
Address._range[ 'Ps.89' ] =  52;
Address._range[ 'Ps.90' ] =  17;
Address._range[ 'Ps.91' ] =  16;
Address._range[ 'Ps.92' ] =  15;
Address._range[ 'Ps.93' ] =  5;
Address._range[ 'Ps.94' ] =  23;
Address._range[ 'Ps.95' ] =  11;
Address._range[ 'Ps.96' ] =  13;
Address._range[ 'Ps.97' ] =  12;
Address._range[ 'Ps.98' ] =  9;
Address._range[ 'Ps.99' ] =  9;
Address._range[ 'Ps.100' ] =  5;
Address._range[ 'Ps.101' ] =  8;
Address._range[ 'Ps.102' ] =  28;
Address._range[ 'Ps.103' ] =  22;
Address._range[ 'Ps.104' ] =  35;
Address._range[ 'Ps.105' ] =  45;
Address._range[ 'Ps.106' ] =  48;
Address._range[ 'Ps.107' ] =  43;
Address._range[ 'Ps.108' ] =  13;
Address._range[ 'Ps.109' ] =  31;
Address._range[ 'Ps.110' ] =  7;
Address._range[ 'Ps.111' ] =  10;
Address._range[ 'Ps.112' ] =  10;
Address._range[ 'Ps.113' ] =  9;
Address._range[ 'Ps.114' ] =  8;
Address._range[ 'Ps.115' ] =  18;
Address._range[ 'Ps.116' ] =  19;
Address._range[ 'Ps.117' ] =  2;
Address._range[ 'Ps.118' ] =  29;
Address._range[ 'Ps.119' ] =  176;
Address._range[ 'Ps.120' ] =  7;
Address._range[ 'Ps.121' ] =  8;
Address._range[ 'Ps.122' ] =  9;
Address._range[ 'Ps.123' ] =  4;
Address._range[ 'Ps.124' ] =  8;
Address._range[ 'Ps.125' ] =  5;
Address._range[ 'Ps.126' ] =  6;
Address._range[ 'Ps.127' ] =  5;
Address._range[ 'Ps.128' ] =  6;
Address._range[ 'Ps.129' ] =  8;
Address._range[ 'Ps.130' ] =  8;
Address._range[ 'Ps.131' ] =  3;
Address._range[ 'Ps.132' ] =  18;
Address._range[ 'Ps.133' ] =  3;
Address._range[ 'Ps.134' ] =  3;
Address._range[ 'Ps.135' ] =  21;
Address._range[ 'Ps.136' ] =  26;
Address._range[ 'Ps.137' ] =  9;
Address._range[ 'Ps.138' ] =  8;
Address._range[ 'Ps.139' ] =  24;
Address._range[ 'Ps.140' ] =  13;
Address._range[ 'Ps.141' ] =  10;
Address._range[ 'Ps.142' ] =  7;
Address._range[ 'Ps.143' ] =  12;
Address._range[ 'Ps.144' ] =  15;
Address._range[ 'Ps.145' ] =  21;
Address._range[ 'Ps.146' ] =  10;
Address._range[ 'Ps.147' ] =  20;
Address._range[ 'Ps.148' ] =  14;
Address._range[ 'Ps.149' ] =  9;
Address._range[ 'Ps.150' ] =  6;
Address._range[ 'Ps.' ] = 150;
Address._range[ 'Pr.1' ] =  33;
Address._range[ 'Pr.2' ] =  22;
Address._range[ 'Pr.3' ] =  35;
Address._range[ 'Pr.4' ] =  27;
Address._range[ 'Pr.5' ] =  23;
Address._range[ 'Pr.6' ] =  35;
Address._range[ 'Pr.7' ] =  27;
Address._range[ 'Pr.8' ] =  36;
Address._range[ 'Pr.9' ] =  18;
Address._range[ 'Pr.10' ] =  32;
Address._range[ 'Pr.11' ] =  31;
Address._range[ 'Pr.12' ] =  28;
Address._range[ 'Pr.13' ] =  25;
Address._range[ 'Pr.14' ] =  35;
Address._range[ 'Pr.15' ] =  33;
Address._range[ 'Pr.16' ] =  33;
Address._range[ 'Pr.17' ] =  28;
Address._range[ 'Pr.18' ] =  24;
Address._range[ 'Pr.19' ] =  29;
Address._range[ 'Pr.20' ] =  30;
Address._range[ 'Pr.21' ] =  31;
Address._range[ 'Pr.22' ] =  29;
Address._range[ 'Pr.23' ] =  35;
Address._range[ 'Pr.24' ] =  34;
Address._range[ 'Pr.25' ] =  28;
Address._range[ 'Pr.26' ] =  28;
Address._range[ 'Pr.27' ] =  27;
Address._range[ 'Pr.28' ] =  28;
Address._range[ 'Pr.29' ] =  27;
Address._range[ 'Pr.30' ] =  33;
Address._range[ 'Pr.31' ] =  31;
Address._range[ 'Pr.' ] = 31;
Address._range[ 'Ecc.1' ] =  18;
Address._range[ 'Ecc.2' ] =  26;
Address._range[ 'Ecc.3' ] =  22;
Address._range[ 'Ecc.4' ] =  16;
Address._range[ 'Ecc.5' ] =  20;
Address._range[ 'Ecc.6' ] =  12;
Address._range[ 'Ecc.7' ] =  29;
Address._range[ 'Ecc.8' ] =  17;
Address._range[ 'Ecc.9' ] =  18;
Address._range[ 'Ecc.10' ] =  20;
Address._range[ 'Ecc.11' ] =  10;
Address._range[ 'Ecc.12' ] =  14;
Address._range[ 'Ecc.' ] = 12;
Address._range[ 'Sos.1' ] =  17;
Address._range[ 'Sos.2' ] =  17;
Address._range[ 'Sos.3' ] =  11;
Address._range[ 'Sos.4' ] =  16;
Address._range[ 'Sos.5' ] =  16;
Address._range[ 'Sos.6' ] =  13;
Address._range[ 'Sos.7' ] =  13;
Address._range[ 'Sos.8' ] =  14;
Address._range[ 'Sos.' ] = 8;
Address._range[ 'Isa.1' ] =  31;
Address._range[ 'Isa.2' ] =  22;
Address._range[ 'Isa.3' ] =  26;
Address._range[ 'Isa.4' ] =  6;
Address._range[ 'Isa.5' ] =  30;
Address._range[ 'Isa.6' ] =  13;
Address._range[ 'Isa.7' ] =  25;
Address._range[ 'Isa.8' ] =  22;
Address._range[ 'Isa.9' ] =  21;
Address._range[ 'Isa.10' ] =  34;
Address._range[ 'Isa.11' ] =  16;
Address._range[ 'Isa.12' ] =  6;
Address._range[ 'Isa.13' ] =  22;
Address._range[ 'Isa.14' ] =  32;
Address._range[ 'Isa.15' ] =  9;
Address._range[ 'Isa.16' ] =  14;
Address._range[ 'Isa.17' ] =  14;
Address._range[ 'Isa.18' ] =  7;
Address._range[ 'Isa.19' ] =  25;
Address._range[ 'Isa.20' ] =  6;
Address._range[ 'Isa.21' ] =  17;
Address._range[ 'Isa.22' ] =  25;
Address._range[ 'Isa.23' ] =  18;
Address._range[ 'Isa.24' ] =  23;
Address._range[ 'Isa.25' ] =  12;
Address._range[ 'Isa.26' ] =  21;
Address._range[ 'Isa.27' ] =  13;
Address._range[ 'Isa.28' ] =  29;
Address._range[ 'Isa.29' ] =  24;
Address._range[ 'Isa.30' ] =  33;
Address._range[ 'Isa.31' ] =  9;
Address._range[ 'Isa.32' ] =  20;
Address._range[ 'Isa.33' ] =  24;
Address._range[ 'Isa.34' ] =  17;
Address._range[ 'Isa.35' ] =  10;
Address._range[ 'Isa.36' ] =  22;
Address._range[ 'Isa.37' ] =  38;
Address._range[ 'Isa.38' ] =  22;
Address._range[ 'Isa.39' ] =  8;
Address._range[ 'Isa.40' ] =  31;
Address._range[ 'Isa.41' ] =  29;
Address._range[ 'Isa.42' ] =  25;
Address._range[ 'Isa.43' ] =  28;
Address._range[ 'Isa.44' ] =  28;
Address._range[ 'Isa.45' ] =  25;
Address._range[ 'Isa.46' ] =  13;
Address._range[ 'Isa.47' ] =  15;
Address._range[ 'Isa.48' ] =  22;
Address._range[ 'Isa.49' ] =  26;
Address._range[ 'Isa.50' ] =  11;
Address._range[ 'Isa.51' ] =  23;
Address._range[ 'Isa.52' ] =  15;
Address._range[ 'Isa.53' ] =  12;
Address._range[ 'Isa.54' ] =  17;
Address._range[ 'Isa.55' ] =  13;
Address._range[ 'Isa.56' ] =  12;
Address._range[ 'Isa.57' ] =  21;
Address._range[ 'Isa.58' ] =  14;
Address._range[ 'Isa.59' ] =  21;
Address._range[ 'Isa.60' ] =  22;
Address._range[ 'Isa.61' ] =  11;
Address._range[ 'Isa.62' ] =  12;
Address._range[ 'Isa.63' ] =  19;
Address._range[ 'Isa.64' ] =  12;
Address._range[ 'Isa.65' ] =  25;
Address._range[ 'Isa.66' ] =  24;
Address._range[ 'Isa.' ] = 66;
Address._range[ 'Jer.1' ] =  19;
Address._range[ 'Jer.2' ] =  37;
Address._range[ 'Jer.3' ] =  25;
Address._range[ 'Jer.4' ] =  31;
Address._range[ 'Jer.5' ] =  31;
Address._range[ 'Jer.6' ] =  30;
Address._range[ 'Jer.7' ] =  34;
Address._range[ 'Jer.8' ] =  22;
Address._range[ 'Jer.9' ] =  26;
Address._range[ 'Jer.10' ] =  25;
Address._range[ 'Jer.11' ] =  23;
Address._range[ 'Jer.12' ] =  17;
Address._range[ 'Jer.13' ] =  27;
Address._range[ 'Jer.14' ] =  22;
Address._range[ 'Jer.15' ] =  21;
Address._range[ 'Jer.16' ] =  21;
Address._range[ 'Jer.17' ] =  27;
Address._range[ 'Jer.18' ] =  23;
Address._range[ 'Jer.19' ] =  15;
Address._range[ 'Jer.20' ] =  18;
Address._range[ 'Jer.21' ] =  14;
Address._range[ 'Jer.22' ] =  30;
Address._range[ 'Jer.23' ] =  40;
Address._range[ 'Jer.24' ] =  10;
Address._range[ 'Jer.25' ] =  38;
Address._range[ 'Jer.26' ] =  24;
Address._range[ 'Jer.27' ] =  22;
Address._range[ 'Jer.28' ] =  17;
Address._range[ 'Jer.29' ] =  32;
Address._range[ 'Jer.30' ] =  24;
Address._range[ 'Jer.31' ] =  40;
Address._range[ 'Jer.32' ] =  44;
Address._range[ 'Jer.33' ] =  26;
Address._range[ 'Jer.34' ] =  22;
Address._range[ 'Jer.35' ] =  19;
Address._range[ 'Jer.36' ] =  32;
Address._range[ 'Jer.37' ] =  21;
Address._range[ 'Jer.38' ] =  28;
Address._range[ 'Jer.39' ] =  18;
Address._range[ 'Jer.40' ] =  16;
Address._range[ 'Jer.41' ] =  18;
Address._range[ 'Jer.42' ] =  22;
Address._range[ 'Jer.43' ] =  13;
Address._range[ 'Jer.44' ] =  30;
Address._range[ 'Jer.45' ] =  5;
Address._range[ 'Jer.46' ] =  28;
Address._range[ 'Jer.47' ] =  7;
Address._range[ 'Jer.48' ] =  47;
Address._range[ 'Jer.49' ] =  39;
Address._range[ 'Jer.50' ] =  46;
Address._range[ 'Jer.51' ] =  64;
Address._range[ 'Jer.52' ] =  34;
Address._range[ 'Jer.' ] = 52;
Address._range[ 'Lam.1' ] =  22;
Address._range[ 'Lam.2' ] =  22;
Address._range[ 'Lam.3' ] =  66;
Address._range[ 'Lam.4' ] =  22;
Address._range[ 'Lam.5' ] =  22;
Address._range[ 'Lam.' ] = 5;
Address._range[ 'Eze.1' ] =  28;
Address._range[ 'Eze.2' ] =  10;
Address._range[ 'Eze.3' ] =  27;
Address._range[ 'Eze.4' ] =  17;
Address._range[ 'Eze.5' ] =  17;
Address._range[ 'Eze.6' ] =  14;
Address._range[ 'Eze.7' ] =  27;
Address._range[ 'Eze.8' ] =  18;
Address._range[ 'Eze.9' ] =  11;
Address._range[ 'Eze.10' ] =  22;
Address._range[ 'Eze.11' ] =  25;
Address._range[ 'Eze.12' ] =  28;
Address._range[ 'Eze.13' ] =  23;
Address._range[ 'Eze.14' ] =  23;
Address._range[ 'Eze.15' ] =  8;
Address._range[ 'Eze.16' ] =  63;
Address._range[ 'Eze.17' ] =  24;
Address._range[ 'Eze.18' ] =  32;
Address._range[ 'Eze.19' ] =  14;
Address._range[ 'Eze.20' ] =  49;
Address._range[ 'Eze.21' ] =  32;
Address._range[ 'Eze.22' ] =  31;
Address._range[ 'Eze.23' ] =  49;
Address._range[ 'Eze.24' ] =  27;
Address._range[ 'Eze.25' ] =  17;
Address._range[ 'Eze.26' ] =  21;
Address._range[ 'Eze.27' ] =  36;
Address._range[ 'Eze.28' ] =  26;
Address._range[ 'Eze.29' ] =  21;
Address._range[ 'Eze.30' ] =  26;
Address._range[ 'Eze.31' ] =  18;
Address._range[ 'Eze.32' ] =  32;
Address._range[ 'Eze.33' ] =  33;
Address._range[ 'Eze.34' ] =  31;
Address._range[ 'Eze.35' ] =  15;
Address._range[ 'Eze.36' ] =  38;
Address._range[ 'Eze.37' ] =  28;
Address._range[ 'Eze.38' ] =  23;
Address._range[ 'Eze.39' ] =  29;
Address._range[ 'Eze.40' ] =  49;
Address._range[ 'Eze.41' ] =  26;
Address._range[ 'Eze.42' ] =  20;
Address._range[ 'Eze.43' ] =  27;
Address._range[ 'Eze.44' ] =  31;
Address._range[ 'Eze.45' ] =  25;
Address._range[ 'Eze.46' ] =  24;
Address._range[ 'Eze.47' ] =  23;
Address._range[ 'Eze.48' ] =  35;
Address._range[ 'Eze.' ] = 48;
Address._range[ 'Dan.1' ] =  21;
Address._range[ 'Dan.2' ] =  49;
Address._range[ 'Dan.3' ] =  30;
Address._range[ 'Dan.4' ] =  37;
Address._range[ 'Dan.5' ] =  31;
Address._range[ 'Dan.6' ] =  28;
Address._range[ 'Dan.7' ] =  28;
Address._range[ 'Dan.8' ] =  27;
Address._range[ 'Dan.9' ] =  27;
Address._range[ 'Dan.10' ] =  21;
Address._range[ 'Dan.11' ] =  45;
Address._range[ 'Dan.12' ] =  13;
Address._range[ 'Dan.' ] = 12;
Address._range[ 'Hos.1' ] =  11;
Address._range[ 'Hos.2' ] =  23;
Address._range[ 'Hos.3' ] =  5;
Address._range[ 'Hos.4' ] =  19;
Address._range[ 'Hos.5' ] =  15;
Address._range[ 'Hos.6' ] =  11;
Address._range[ 'Hos.7' ] =  16;
Address._range[ 'Hos.8' ] =  14;
Address._range[ 'Hos.9' ] =  17;
Address._range[ 'Hos.10' ] =  15;
Address._range[ 'Hos.11' ] =  12;
Address._range[ 'Hos.12' ] =  14;
Address._range[ 'Hos.13' ] =  16;
Address._range[ 'Hos.14' ] =  9;
Address._range[ 'Hos.' ] = 14;
Address._range[ 'Joel1' ] =  20;
Address._range[ 'Joel2' ] =  32;
Address._range[ 'Joel3' ] =  21;
Address._range[ 'Joel' ] = 3;
Address._range[ 'Amos1' ] =  15;
Address._range[ 'Amos2' ] =  16;
Address._range[ 'Amos3' ] =  15;
Address._range[ 'Amos4' ] =  13;
Address._range[ 'Amos5' ] =  27;
Address._range[ 'Amos6' ] =  14;
Address._range[ 'Amos7' ] =  17;
Address._range[ 'Amos8' ] =  14;
Address._range[ 'Amos9' ] =  15;
Address._range[ 'Amos' ] = 9;
Address._range[ 'Ob.1' ] =  21;
Address._range[ 'Ob.' ] = 1;
Address._range[ 'Jonah1' ] =  17;
Address._range[ 'Jonah2' ] =  10;
Address._range[ 'Jonah3' ] =  10;
Address._range[ 'Jonah4' ] =  11;
Address._range[ 'Jonah' ] = 4;
Address._range[ 'Mic.1' ] =  16;
Address._range[ 'Mic.2' ] =  13;
Address._range[ 'Mic.3' ] =  12;
Address._range[ 'Mic.4' ] =  13;
Address._range[ 'Mic.5' ] =  15;
Address._range[ 'Mic.6' ] =  16;
Address._range[ 'Mic.7' ] =  20;
Address._range[ 'Mic.' ] = 7;
Address._range[ 'Nah.1' ] =  15;
Address._range[ 'Nah.2' ] =  13;
Address._range[ 'Nah.3' ] =  19;
Address._range[ 'Nah.' ] = 3;
Address._range[ 'Hab.1' ] =  17;
Address._range[ 'Hab.2' ] =  20;
Address._range[ 'Hab.3' ] =  19;
Address._range[ 'Hab.' ] = 3;
Address._range[ 'Zep.1' ] =  18;
Address._range[ 'Zep.2' ] =  15;
Address._range[ 'Zep.3' ] =  20;
Address._range[ 'Zep.' ] = 3;
Address._range[ 'Hag.1' ] =  15;
Address._range[ 'Hag.2' ] =  23;
Address._range[ 'Hag.' ] = 2;
Address._range[ 'Zec.1' ] =  21;
Address._range[ 'Zec.2' ] =  13;
Address._range[ 'Zec.3' ] =  10;
Address._range[ 'Zec.4' ] =  14;
Address._range[ 'Zec.5' ] =  11;
Address._range[ 'Zec.6' ] =  15;
Address._range[ 'Zec.7' ] =  14;
Address._range[ 'Zec.8' ] =  23;
Address._range[ 'Zec.9' ] =  17;
Address._range[ 'Zec.10' ] =  12;
Address._range[ 'Zec.11' ] =  17;
Address._range[ 'Zec.12' ] =  14;
Address._range[ 'Zec.13' ] =  9;
Address._range[ 'Zec.14' ] =  21;
Address._range[ 'Zec.' ] = 14;
Address._range[ 'Mal.1' ] =  14;
Address._range[ 'Mal.2' ] =  17;
Address._range[ 'Mal.3' ] =  18;
Address._range[ 'Mal.4' ] =  6;
Address._range[ 'Mal.' ] = 4;
Address._range[ 'Mat.1' ] =  25;
Address._range[ 'Mat.2' ] =  23;
Address._range[ 'Mat.3' ] =  17;
Address._range[ 'Mat.4' ] =  25;
Address._range[ 'Mat.5' ] =  48;
Address._range[ 'Mat.6' ] =  34;
Address._range[ 'Mat.7' ] =  29;
Address._range[ 'Mat.8' ] =  34;
Address._range[ 'Mat.9' ] =  38;
Address._range[ 'Mat.10' ] =  42;
Address._range[ 'Mat.11' ] =  30;
Address._range[ 'Mat.12' ] =  50;
Address._range[ 'Mat.13' ] =  58;
Address._range[ 'Mat.14' ] =  36;
Address._range[ 'Mat.15' ] =  39;
Address._range[ 'Mat.16' ] =  28;
Address._range[ 'Mat.17' ] =  27;
Address._range[ 'Mat.18' ] =  35;
Address._range[ 'Mat.19' ] =  30;
Address._range[ 'Mat.20' ] =  34;
Address._range[ 'Mat.21' ] =  46;
Address._range[ 'Mat.22' ] =  46;
Address._range[ 'Mat.23' ] =  39;
Address._range[ 'Mat.24' ] =  51;
Address._range[ 'Mat.25' ] =  46;
Address._range[ 'Mat.26' ] =  75;
Address._range[ 'Mat.27' ] =  66;
Address._range[ 'Mat.28' ] =  20;
Address._range[ 'Mat.' ] = 28;
Address._range[ 'Mark1' ] =  45;
Address._range[ 'Mark2' ] =  28;
Address._range[ 'Mark3' ] =  35;
Address._range[ 'Mark4' ] =  41;
Address._range[ 'Mark5' ] =  43;
Address._range[ 'Mark6' ] =  56;
Address._range[ 'Mark7' ] =  37;
Address._range[ 'Mark8' ] =  38;
Address._range[ 'Mark9' ] =  50;
Address._range[ 'Mark10' ] =  52;
Address._range[ 'Mark11' ] =  33;
Address._range[ 'Mark12' ] =  44;
Address._range[ 'Mark13' ] =  37;
Address._range[ 'Mark14' ] =  72;
Address._range[ 'Mark15' ] =  47;
Address._range[ 'Mark16' ] =  20;
Address._range[ 'Mark' ] = 16;
Address._range[ 'Luke1' ] =  80;
Address._range[ 'Luke2' ] =  52;
Address._range[ 'Luke3' ] =  38;
Address._range[ 'Luke4' ] =  44;
Address._range[ 'Luke5' ] =  39;
Address._range[ 'Luke6' ] =  49;
Address._range[ 'Luke7' ] =  50;
Address._range[ 'Luke8' ] =  56;
Address._range[ 'Luke9' ] =  62;
Address._range[ 'Luke10' ] =  42;
Address._range[ 'Luke11' ] =  54;
Address._range[ 'Luke12' ] =  59;
Address._range[ 'Luke13' ] =  35;
Address._range[ 'Luke14' ] =  35;
Address._range[ 'Luke15' ] =  32;
Address._range[ 'Luke16' ] =  31;
Address._range[ 'Luke17' ] =  37;
Address._range[ 'Luke18' ] =  43;
Address._range[ 'Luke19' ] =  48;
Address._range[ 'Luke20' ] =  47;
Address._range[ 'Luke21' ] =  38;
Address._range[ 'Luke22' ] =  71;
Address._range[ 'Luke23' ] =  56;
Address._range[ 'Luke24' ] =  53;
Address._range[ 'Luke' ] = 24;
Address._range[ 'John1' ] =  51;
Address._range[ 'John2' ] =  25;
Address._range[ 'John3' ] =  36;
Address._range[ 'John4' ] =  54;
Address._range[ 'John5' ] =  47;
Address._range[ 'John6' ] =  71;
Address._range[ 'John7' ] =  53;
Address._range[ 'John8' ] =  59;
Address._range[ 'John9' ] =  41;
Address._range[ 'John10' ] =  42;
Address._range[ 'John11' ] =  57;
Address._range[ 'John12' ] =  50;
Address._range[ 'John13' ] =  38;
Address._range[ 'John14' ] =  31;
Address._range[ 'John15' ] =  27;
Address._range[ 'John16' ] =  33;
Address._range[ 'John17' ] =  26;
Address._range[ 'John18' ] =  40;
Address._range[ 'John19' ] =  42;
Address._range[ 'John20' ] =  31;
Address._range[ 'John21' ] =  25;
Address._range[ 'John' ] = 21;
Address._range[ 'Acts1' ] =  26;
Address._range[ 'Acts2' ] =  47;
Address._range[ 'Acts3' ] =  26;
Address._range[ 'Acts4' ] =  37;
Address._range[ 'Acts5' ] =  42;
Address._range[ 'Acts6' ] =  15;
Address._range[ 'Acts7' ] =  60;
Address._range[ 'Acts8' ] =  40;
Address._range[ 'Acts9' ] =  43;
Address._range[ 'Acts10' ] =  48;
Address._range[ 'Acts11' ] =  30;
Address._range[ 'Acts12' ] =  25;
Address._range[ 'Acts13' ] =  52;
Address._range[ 'Acts14' ] =  28;
Address._range[ 'Acts15' ] =  41;
Address._range[ 'Acts16' ] =  40;
Address._range[ 'Acts17' ] =  34;
Address._range[ 'Acts18' ] =  28;
Address._range[ 'Acts19' ] =  41;
Address._range[ 'Acts20' ] =  38;
Address._range[ 'Acts21' ] =  40;
Address._range[ 'Acts22' ] =  30;
Address._range[ 'Acts23' ] =  35;
Address._range[ 'Acts24' ] =  27;
Address._range[ 'Acts25' ] =  27;
Address._range[ 'Acts26' ] =  32;
Address._range[ 'Acts27' ] =  44;
Address._range[ 'Acts28' ] =  31;
Address._range[ 'Acts' ] = 28;
Address._range[ 'Rom.1' ] =  32;
Address._range[ 'Rom.2' ] =  29;
Address._range[ 'Rom.3' ] =  31;
Address._range[ 'Rom.4' ] =  25;
Address._range[ 'Rom.5' ] =  21;
Address._range[ 'Rom.6' ] =  23;
Address._range[ 'Rom.7' ] =  25;
Address._range[ 'Rom.8' ] =  39;
Address._range[ 'Rom.9' ] =  33;
Address._range[ 'Rom.10' ] =  21;
Address._range[ 'Rom.11' ] =  36;
Address._range[ 'Rom.12' ] =  21;
Address._range[ 'Rom.13' ] =  14;
Address._range[ 'Rom.14' ] =  23;
Address._range[ 'Rom.15' ] =  33;
Address._range[ 'Rom.16' ] =  27;
Address._range[ 'Rom.' ] = 16;
Address._range[ '1Cor.1' ] =  31;
Address._range[ '1Cor.2' ] =  16;
Address._range[ '1Cor.3' ] =  23;
Address._range[ '1Cor.4' ] =  21;
Address._range[ '1Cor.5' ] =  13;
Address._range[ '1Cor.6' ] =  20;
Address._range[ '1Cor.7' ] =  40;
Address._range[ '1Cor.8' ] =  13;
Address._range[ '1Cor.9' ] =  27;
Address._range[ '1Cor.10' ] =  33;
Address._range[ '1Cor.11' ] =  34;
Address._range[ '1Cor.12' ] =  31;
Address._range[ '1Cor.13' ] =  13;
Address._range[ '1Cor.14' ] =  40;
Address._range[ '1Cor.15' ] =  58;
Address._range[ '1Cor.16' ] =  24;
Address._range[ '1Cor.' ] = 16;
Address._range[ '2Cor.1' ] =  24;
Address._range[ '2Cor.2' ] =  17;
Address._range[ '2Cor.3' ] =  18;
Address._range[ '2Cor.4' ] =  18;
Address._range[ '2Cor.5' ] =  21;
Address._range[ '2Cor.6' ] =  18;
Address._range[ '2Cor.7' ] =  16;
Address._range[ '2Cor.8' ] =  24;
Address._range[ '2Cor.9' ] =  15;
Address._range[ '2Cor.10' ] =  18;
Address._range[ '2Cor.11' ] =  33;
Address._range[ '2Cor.12' ] =  21;
Address._range[ '2Cor.13' ] =  14;
Address._range[ '2Cor.' ] = 13;
Address._range[ 'Gal.1' ] =  24;
Address._range[ 'Gal.2' ] =  21;
Address._range[ 'Gal.3' ] =  29;
Address._range[ 'Gal.4' ] =  31;
Address._range[ 'Gal.5' ] =  26;
Address._range[ 'Gal.6' ] =  18;
Address._range[ 'Gal.' ] = 6;
Address._range[ 'Eph.1' ] =  23;
Address._range[ 'Eph.2' ] =  22;
Address._range[ 'Eph.3' ] =  21;
Address._range[ 'Eph.4' ] =  32;
Address._range[ 'Eph.5' ] =  33;
Address._range[ 'Eph.6' ] =  24;
Address._range[ 'Eph.' ] = 6;
Address._range[ 'Php.1' ] =  30;
Address._range[ 'Php.2' ] =  30;
Address._range[ 'Php.3' ] =  21;
Address._range[ 'Php.4' ] =  23;
Address._range[ 'Php.' ] = 4;
Address._range[ 'Col.1' ] =  29;
Address._range[ 'Col.2' ] =  23;
Address._range[ 'Col.3' ] =  25;
Address._range[ 'Col.4' ] =  18;
Address._range[ 'Col.' ] = 4;
Address._range[ '1Th.1' ] =  10;
Address._range[ '1Th.2' ] =  20;
Address._range[ '1Th.3' ] =  13;
Address._range[ '1Th.4' ] =  18;
Address._range[ '1Th.5' ] =  28;
Address._range[ '1Th.' ] = 5;
Address._range[ '2Th.1' ] =  12;
Address._range[ '2Th.2' ] =  17;
Address._range[ '2Th.3' ] =  18;
Address._range[ '2Th.' ] = 3;
Address._range[ '1Ti.1' ] =  20;
Address._range[ '1Ti.2' ] =  15;
Address._range[ '1Ti.3' ] =  16;
Address._range[ '1Ti.4' ] =  16;
Address._range[ '1Ti.5' ] =  25;
Address._range[ '1Ti.6' ] =  21;
Address._range[ '1Ti.' ] = 6;
Address._range[ '2Ti.1' ] =  18;
Address._range[ '2Ti.2' ] =  26;
Address._range[ '2Ti.3' ] =  17;
Address._range[ '2Ti.4' ] =  22;
Address._range[ '2Ti.' ] = 4;
Address._range[ 'Tit.1' ] =  16;
Address._range[ 'Tit.2' ] =  15;
Address._range[ 'Tit.3' ] =  15;
Address._range[ 'Tit.' ] = 3;
Address._range[ 'Phm.1' ] =  25;
Address._range[ 'Phm.' ] = 1;
Address._range[ 'Heb.1' ] =  14;
Address._range[ 'Heb.2' ] =  18;
Address._range[ 'Heb.3' ] =  19;
Address._range[ 'Heb.4' ] =  16;
Address._range[ 'Heb.5' ] =  14;
Address._range[ 'Heb.6' ] =  20;
Address._range[ 'Heb.7' ] =  28;
Address._range[ 'Heb.8' ] =  13;
Address._range[ 'Heb.9' ] =  28;
Address._range[ 'Heb.10' ] =  39;
Address._range[ 'Heb.11' ] =  40;
Address._range[ 'Heb.12' ] =  29;
Address._range[ 'Heb.13' ] =  25;
Address._range[ 'Heb.' ] = 13;
Address._range[ 'Jas.1' ] =  27;
Address._range[ 'Jas.2' ] =  26;
Address._range[ 'Jas.3' ] =  18;
Address._range[ 'Jas.4' ] =  17;
Address._range[ 'Jas.5' ] =  20;
Address._range[ 'Jas.' ] = 5;
Address._range[ '1Pe.1' ] =  25;
Address._range[ '1Pe.2' ] =  25;
Address._range[ '1Pe.3' ] =  22;
Address._range[ '1Pe.4' ] =  19;
Address._range[ '1Pe.5' ] =  14;
Address._range[ '1Pe.' ] = 5;
Address._range[ '2Pe.1' ] =  21;
Address._range[ '2Pe.2' ] =  22;
Address._range[ '2Pe.3' ] =  18;
Address._range[ '2Pe.' ] = 3;
Address._range[ '1Jn.1' ] =  10;
Address._range[ '1Jn.2' ] =  29;
Address._range[ '1Jn.3' ] =  24;
Address._range[ '1Jn.4' ] =  21;
Address._range[ '1Jn.5' ] =  21;
Address._range[ '1Jn.' ] = 5;
Address._range[ '2Jn.1' ] =  13;
Address._range[ '2Jn.' ] = 1;
Address._range[ '3Jn.1' ] =  14;
Address._range[ '3Jn.' ] = 1;
Address._range[ 'Jude1' ] =  25;
Address._range[ 'Jude' ] = 1;
Address._range[ 'Rev.1' ] =  20;
Address._range[ 'Rev.2' ] =  29;
Address._range[ 'Rev.3' ] =  22;
Address._range[ 'Rev.4' ] =  11;
Address._range[ 'Rev.5' ] =  14;
Address._range[ 'Rev.6' ] =  17;
Address._range[ 'Rev.7' ] =  17;
Address._range[ 'Rev.8' ] =  13;
Address._range[ 'Rev.9' ] =  21;
Address._range[ 'Rev.10' ] =  11;
Address._range[ 'Rev.11' ] =  19;
Address._range[ 'Rev.12' ] =  17;
Address._range[ 'Rev.13' ] =  18;
Address._range[ 'Rev.14' ] =  20;
Address._range[ 'Rev.15' ] =  8;
Address._range[ 'Rev.16' ] =  21;
Address._range[ 'Rev.17' ] =  18;
Address._range[ 'Rev.18' ] =  24;
Address._range[ 'Rev.19' ] =  21;
Address._range[ 'Rev.20' ] =  15;
Address._range[ 'Rev.21' ] =  27;
Address._range[ 'Rev.22' ] =  21;
Address._range[ 'Rev.' ] = 22;
function Address( anchor ) 
    {
    if ( anchor == undefined )
        {
        return;
        }
    this._chapter = undefined;
    this._verse = undefined;
    this._bookIndex = undefined;
    var useAnchor = anchor.toLowerCase();
    var search = /^([1-3])?([^a-z]+)?([a-z]+\.?)([^0-9\(\)]+)(\d+)([^0-9\(\)]+)?(\d+)?(.*$)?/;
    var replace = "$1|$2|$3|$4|$5|$6|$7|$8";
    useAnchor = useAnchor.replace( search, replace );
    var words = new Array();
    words = useAnchor.split( '|' );
    var tryBook;
    var chapter;
    var verse;
    if ( 
        words[ 0 ] !== undefined && 
        words[ 2 ] !== undefined &&
        words[ 4 ] !== undefined
        )
        {
        tryBook = words[ 0 ] + words[ 2 ];
        if ( 'mat' == tryBook.substring( 0, 3 ) ) 
            {
            tryBook = 'mat' + tryBook.substring( 3, tryBook.length )
            }
        else if ( 'matt' == tryBook.substring( 0, 4 ) ) 
            {
            tryBook = 'matt' + tryBook.substring( 4, tryBook.length )
            }
        chapter = words[ 4 ];
        verse = words[ 6 ];
        }
    else
        {
        return;
        }
    if ( words[ 3 ] !== undefined && words[ 3 ].indexOf( '-' ) != -1 )
        {
        return;
        }
    for ( var index = 0 ; index < Address._books.length ; index++ )
        {
        var useVerse = 1;
        var useChapter = chapter;
        if ( verse !=  '' )
            {
            useVerse = verse;
            }
        var book = Address._books[ index ].toLowerCase()
        var bookLong = Address._booksLong[ index ].toLowerCase()
        var maxChapter = Address._range[ Address._books[ index ] ];
        if ( tryBook == book || tryBook == bookLong )
            {
            if ( maxChapter == 1 && verse == '' )
                {
                useChapter = 1;
                useVerse = chapter;
                }
            if ( useChapter <= maxChapter )
                {
                this._chapter = useChapter;
                this._verse = useVerse;
                this._bookIndex = index;
                return;
                }
            }
        }
    var maxMatch = 0;
    var maxIndex;
    for ( var index = Address._books.length - 1 ; 0 <= index ; index-- )
        {
        maxLength = Address._booksLong[ index ].length;
        if ( 
            maxLength + "_CxxxVxxx".length < anchor.length ||
            maxLength < tryBook.length
            )
            {
            continue
            }
        var useVerse = 1;
        var useChapter = chapter;
        if ( verse !=  '' )
            {
            useVerse = verse;
            }
        var book = Address._books[ index ].toLowerCase();
        var maxChapter = Address._range[ Address._books[ index ] ];
        if ( maxChapter == 1 && verse == '' )
            {
            useChapter = 1;
            useVerse = chapter;
            }
        if ( useChapter <= maxChapter )
            {
            var match = 0;
            for ( var iTry = 0 ; iTry < tryBook.length ; ++iTry )
                {
                var charTry = tryBook.charAt( iTry );
                for ( var iBook = 0 ; iBook < book.length ; ++iBook )
                    {
                    var charBook = book.charAt( iBook );
                    if ( charTry == charBook )
                        {
                        match++;
                        iTry++;
                        if ( iTry < tryBook.length )
                            {
                            charTry = tryBook.charAt( iTry );
                            }
                        else
                            {
                            break;
                            }
                        }
                    else
                        {
                        if ( iTry == 0 )
                            {
                            iBook = book.length;
                            iTry = tryBook.length;
                            }
                         
                        }
                    }
                }
            if ( maxMatch < match )
                {
                maxMatch = match;
                maxIndex = index;
                }
            }
        }
    if ( 0 < maxMatch )
        {
        var bookMatch = Address._books[ maxIndex ];
        var maxChapter = Address._range[ bookMatch ];
        var maxVerse = Address._range[ bookMatch + useChapter ];
        if ( useChapter <= maxChapter  && useVerse <= maxVerse )
            {
            this._chapter = useChapter;
            this._verse = useVerse;
            this._bookIndex = maxIndex;
            }
        }
    }
new Address( "John 3:16" );
Address.prototype.setLocation = function( iBook, iChapter, iVerse ) 
    {
    this._bookIndex = iBook - 1
    this._chapter = iChapter
    this._verse = iVerse
    }
Address.prototype.clone = function( address ) 
    {
    this._chapter = address._chapter;
    this._verse = address._verse;
    this._bookIndex = address._bookIndex;
    }
Address.prototype.bookNameLong = function() 
    { 
    return Address._booksLong[ this._bookIndex ];
    }
Address.prototype.chapters = function() 
    { 
    return Address._range[ Address._books[ this._bookIndex ] ];
    }
Address.prototype.verses = function() 
    { 
    return Address._range[ Address._books[ this._bookIndex ] + this._chapter ];
    }
Address.prototype.book = function() 
    { 
    return Address._books[ this._bookIndex ]; 
    }
Address.prototype.chapter = function() { return this._chapter; }
Address.prototype.verse = function() { return this._verse; }
Address.prototype.isValid = function() { return ( Address._books[ this._bookIndex ] !== undefined ); }
Address.prototype.file = function()
    {
    var chapter = this._chapter
    if (chapter < 10 ) chapter = "00" + chapter;
    else if (chapter < 100) chapter = "0" + chapter;

    var bookNumber = this._bookIndex + 1
    if (bookNumber < 10 ) bookNumber = "0" + bookNumber;

    file = 'b' + bookNumber + 'c' + chapter + '.htm'

    return file + '#' + this.anchor()
    }
Address.prototype.anchor = function() 
    { 
    return Address._books[ this._bookIndex ] + '_C' + 
        this._chapter + 'V' + this._verse;
    }
Address.prototype.human = function() 
    { 
    var book = Address._books[ this._bookIndex ];
    formatted = book;
    formatted += ' ' + this._chapter + ':' + this._verse;
    return formatted
    }
Address.prototype.nextVerse = function() 
    { 
    var next = this._verse - 0;
    next += 1;
    if ( next <= this.verses() )
        {
        this._verse = next;
        moved = true;
        }
    else
        {
        moved = this.nextChapter();
        }
    return moved;
    }
Address.prototype.nextChapter = function() 
    { 
    var next = this._chapter - 0;
    next += 1;
    if ( next <= this.chapters() )
        {
        this._chapter = next;
        this._verse = 1;
        moved = true;
        }
    else
        {
        moved = this.nextBook();
        }
    return moved;
    }
Address.prototype.nextBook = function() 
    { 
    var next = this._bookIndex - 0;
    next += 1;
    if ( next < Address._books.length )
        {
        this._bookIndex = next;
        this._chapter = 1;
        this._verse = 1;
        moved = true;
        }
    else
        {
        this._verse = this.verses();
        this._chapter = this.chapters();
        moved = false;
        }
    return moved;
    }
Address.prototype.prevVerse = function() 
    { 
    var prev = this._verse - 0;
    prev -= 1;
    if ( 0 < prev )
        {
        this._verse = prev;
        moved = true;
        }
    else
        {
        moved = this.prevChapter();
        if ( moved )
            {
            this._verse = this.verses();
            }
        }
    return moved;
    }
Address.prototype.prevChapter = function() 
    { 
    this._verse = 1;
    var prev = this._chapter - 0;
    prev -= 1;
    if ( 0 < prev )
        {
        this._chapter = prev;
        moved = true;
        }
    else
        {
        moved = this.prevBook();
        if ( moved )
            {
            this._chapter = this.chapters();
            }
        }
    return moved;
    }
Address.prototype.prevBook = function() 
    { 
    this._chapter = 1;
    this._verse = 1;
    var prev = this._bookIndex - 0;
    prev -= 1;
    if ( 0 <= prev )
        {
        this._bookIndex = prev;
        moved = true;
        }
    else
        {
        moved = false;
        }
    return moved;
    }
Address.prototype.classAddress = function()
    {
    return true;
    }
Address.is = function( object )
    {
    return ( object.classAddress !== undefined ) 
    }

// Input is cross reference to anchor.
// Go to the location ourselves (without linked books).
function XALONE( anchor )
    {


    var url = anchor

    // If anchor is a topic or button link.
    parts = url.split( '|' )
    if (1 < parts.length)
        {
        left = parts[ 0 ]
        // If a button link.
        if ( 0 == left.search( /b\d+c\d+/ ) )
            {
            url = left + '.htm'
            if ( 1 <= parts.length )
                {
                if ( 'TOP' == parts[ 1 ] ) url = url + '#__TOP__'
                if ( 'BOT' == parts[ 1 ] ) url = url + '#__BOT__'
                }
            }
        // Else assume a topic link.
        else 
            {
            top.window.location.href = '../../study/index.htm?book=kjv&book=naves&topic=' + left
            return
            }
        }

    // Else not linking to next chapter.
    else
       {

        // Check for Strong's number reference.
        if ( goStrongs(url) ) return

        // Check for footnote.
        if ( goFootnote(url) ) return

        anchor = url;
        book = url.toLowerCase().split( '_' )

        // Another check for bare topic link?
        if (1 == book.length)
            {
            top.window.location.href = '../../study/index.htm?book=kjv&book=naves&topic=' + book[0]
            return
            }

        var address = new Address(url);
        //alert( 'address ' + address.file())

        url = address.file()
        }

    //alert( url );
    var pane = window.b
    if ( pane == undefined )
        {
        pane = window
        }
    pane.location.href = url;
    return;

    }

function goStrongs( anchor )
    {
    if ( 0 != anchor.search( /(g|h)\d+/ ) ) return false

    prefix = anchor.slice(0,1)
    fileNum = anchor.slice(1,anchor.length).replace( /\D+/, "")

    remainder = fileNum % 100
    fileNum -= remainder
    fileNum = fileNum / 100
    zero = ''
    if  (fileNum < 10 )
        {
        zero = '0'
        }
    url = '../../dict/bdb/' + prefix + zero + fileNum + '.htm#' + anchor
    var pane = window
    if ( parent.x )
        {
        pane = parent.x
        }
    pane.location.href = url
    return true;
    }

function goFootnote( anchor )
    {
    if ( -1 == anchor.search( /#/ ) ) return false

    var pane = window
    if ( parent.x )
        {
        pane = parent.x
        }
    if ( parent.y )
        {
        pane = parent.y
        }
    if ( parent.z )
        {
        pane = parent.z
        }
    pane.location.href = anchor
    return true;
    }

