// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
var Isbe
Isbe._files = new Array();
Isbe._files[ 'Mat.'  ] = 'isbe_m';
Isbe._files[ 'Mark'  ] = 'isbe_m';
Isbe._files[ 'Luke'  ] = 'isbe_l';
Isbe._files[ 'John'  ] = 'isbe_j';
Isbe._files[ 'Acts'  ] = 'isbe_a';
Isbe._files[ 'Rom.'  ] = 'isbe_r';
Isbe._files[ '1Cor.' ] = 'isbe_1';
Isbe._files[ '2Cor.' ] = 'isbe_2';
Isbe._files[ 'Gal.'  ] = 'isbe_g';
Isbe._files[ 'Eph.'  ] = 'isbe_e';
Isbe._files[ 'Php.'  ] = 'isbe_p';
Isbe._files[ 'Col.'  ] = 'isbe_c';
Isbe._files[ '1Th.'  ] = 'isbe_1';
Isbe._files[ '2Th.'  ] = 'isbe_2';
Isbe._files[ '1Ti.'  ] = 'isbe_1';
Isbe._files[ '2Ti.'  ] = 'isbe_2';
Isbe._files[ 'Tit.'  ] = 'isbe_t';
Isbe._files[ 'Phm.'  ] = 'isbe_p';
Isbe._files[ 'Heb.'  ] = 'isbe_h';
Isbe._files[ 'Jas.'  ] = 'isbe_j';
Isbe._files[ '1Pe.'  ] = 'isbe_1';
Isbe._files[ '2Pe.'  ] = 'isbe_2';
Isbe._files[ '1Jn.'  ] = 'isbe_1';
Isbe._files[ '2Jn.'  ] = 'isbe_2';
Isbe._files[ '3Jn.'  ] = 'isbe_3';
Isbe._files[ 'Jude'  ] = 'isbe_j';
Isbe._files[ 'Rev.'  ] = 'isbe_r';
Isbe._files[ 'Gen.'  ] = 'isbe_g';
Isbe._files[ 'Ex.'   ] = 'isbe_e';
Isbe._files[ 'Lev.'  ] = 'isbe_l';
Isbe._files[ 'Num.'  ] = 'isbe_n';
Isbe._files[ 'Deu.'  ] = 'isbe_d';
Isbe._files[ 'Jos.'  ] = 'isbe_j';
Isbe._files[ 'Jdg.'  ] = 'isbe_j';
Isbe._files[ 'Ru.'   ] = 'isbe_r';
Isbe._files[ '1S.'   ] = 'isbe_1';
Isbe._files[ '2S.'   ] = 'isbe_2';
Isbe._files[ '1K.'   ] = 'isbe_1';
Isbe._files[ '2K.'   ] = 'isbe_2';
Isbe._files[ '1Chr.' ] = 'isbe_1';
Isbe._files[ '2Chr.' ] = 'isbe_2';
Isbe._files[ 'Ezra'  ] = 'isbe_e';
Isbe._files[ 'Ne.'   ] = 'isbe_n';
Isbe._files[ 'Est.'  ] = 'isbe_e';
Isbe._files[ 'Job'   ] = 'isbe_j';
Isbe._files[ 'Ps.'   ] = 'isbe_p';
Isbe._files[ 'Pr.'   ] = 'isbe_p';
Isbe._files[ 'Ecc.'  ] = 'isbe_e';
Isbe._files[ 'Sos.'  ] = 'isbe_s';
Isbe._files[ 'Isa.'  ] = 'isbe_i';
Isbe._files[ 'Jer.'  ] = 'isbe_j';
Isbe._files[ 'Lam.'  ] = 'isbe_l';
Isbe._files[ 'Eze.'  ] = 'isbe_e';
Isbe._files[ 'Dan.'  ] = 'isbe_d';
Isbe._files[ 'Hos.'  ] = 'isbe_h';
Isbe._files[ 'Joel'  ] = 'isbe_j';
Isbe._files[ 'Amos'  ] = 'isbe_a';
Isbe._files[ 'Ob.'   ] = 'isbe_o';
Isbe._files[ 'Jonah' ] = 'isbe_j';
Isbe._files[ 'Mic.'  ] = 'isbe_m';
Isbe._files[ 'Nah.'  ] = 'isbe_n';
Isbe._files[ 'Hab.'  ] = 'isbe_h';
Isbe._files[ 'Zep.'  ] = 'isbe_z';
Isbe._files[ 'Hag.'  ] = 'isbe_h';
Isbe._files[ 'Zec.'  ] = 'isbe_z';
Isbe._files[ 'Mal.'  ] = 'isbe_m';
function Isbe()
    {
    }
new Isbe();
wlx.wlx_Isbe_TITLE = 'ISBE';
Isbe.prototype = new Book( wlx.wlx_Isbe_TITLE, Isbe._files );
Isbe.prototype.goHelp = function()
    {
    this.goFile( 'isbe.htm' );
    }
Isbe.prototype.goIndex = function()
    {
    this.goFile( 'go.htm' );
    }
Isbe.prototype.goTopicUnconditional = function( topic, pane )
    {
    var iAlpha = topic.search( /[A-Za-z]/ )
    if ( iAlpha == 0 )
        {
        var firstChar = topic.substr( 0, 1 )
        if ( 
            firstChar < 'A' || 
            ( 'Z' < firstChar && firstChar < 'a' ) || 
            'z' < firstChar
            )
            {
            return true;
            }
        var chapterName = topic.toLowerCase()
        chapterName = chapterName.substring( 0, 2 );
        var second = chapterName.charAt( 1 )
        if ( chapterName.length < 2 || !( 'a' <= second && second <= 'z' ) )
            {
            chapterName = chapterName.charAt( 0 ) + 'a'
            }
        var file = "isbe_" + chapterName + ".htm#" + topic;
        this.goFile( file );
        }
    return true;
    }
