// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
function NasbBible( title ) 
    { 
    if ( title != undefined )
        {
        this.setTitle( title )
        }
    }
new NasbBible();
wlx.wlx_NasbBible_TITLE = 'NASB Bible'
NasbBible.prototype = new Book( wlx.wlx_NasbBible_TITLE, wlx.wlx_bibleBookFilePrefixes )
NasbBible.prototype.goAddress = function( address, pane ) 
    { 
    var forward = this.BOOK_goAddress( address, pane )
    if ( pane == this.pane().z )
        {
        }
    return forward
    }
NasbBible.prototype.goAddressUnconditional = function( address, pane ) 
    { 
    chapter = address.chapter();
    if ( chapter < 10 )
        {
        chapter = "00" + chapter;
        }
    else if ( chapter < 100 )
        {
        chapter = "0" + chapter;
        }
    var file = this.file( address.book() ); 
    file += "c" + chapter + ".htm";
    file += "#" + address.book() + '_';
    file += "C" + address.chapter() + "V" + address.verse();
    this.goFile( file, this.pane().b )
    return true;
    }
NasbBible.prototype.goHelp = function()
    {
    this.goFile( 'intro.htm', this.pane().b )
    }
NasbBible.prototype.goIndex = function()
    {
    this.goFile( 'go.htm', this.pane().b )
    }
NasbBible.prototype.goFootnoteUnconditional = function( file )
    {
    this.goFile( file, this.pane().z )
    return true
    }
NasbBible.prototype.goStrongsUnconditional = function( prefix, number, pane )
    {
    // We don't look up Strong's numbers in this version.
    return

    fileNum = number
    remainder = fileNum % 100
    fileNum -= remainder
    fileNum = fileNum / 100
    zero = ''
    if  (fileNum < 10 )
        {
        zero = '0'
        }
    url = this.urlDir() + '../../dict/bdb/' + prefix + zero + fileNum + '.htm#' + prefix + number
    this.goFile( url, this.pane().z )
    this.setGoMoved( false )
    if ( this.title() == wlx.wlx_NasbBible_TITLE )
        {
        this._reader._appendHistory( prefix + number );
        }
    return true;
    }
NasbBible.prototype.onLoad = function( pane ) 
    { 
    if ( pane == this.pane().z )
        {
        this.setIsLoaded( true )
        }
    if ( this.isLoaded() )
        {
        this.BOOK_onLoad( pane )
        }
    }
