// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
var NetBible;
NetBible._files = new Array();
NetBible._files[ 'Mat.'  ] = 'mat';
NetBible._files[ 'Mark'  ] = 'mar';
NetBible._files[ 'Luke'  ] = 'luk';
NetBible._files[ 'John'  ] = 'joh';
NetBible._files[ 'Acts'  ] = 'act';
NetBible._files[ 'Rom.'  ] = 'rom';
NetBible._files[ '1Cor.' ] = '1co';
NetBible._files[ '2Cor.' ] = '2co';
NetBible._files[ 'Gal.'  ] = 'gal';
NetBible._files[ 'Eph.'  ] = 'eph';
NetBible._files[ 'Php.'  ] = 'phi';
NetBible._files[ 'Col.'  ] = 'col';
NetBible._files[ '1Th.'  ] = '1th';
NetBible._files[ '2Th.'  ] = '2th';
NetBible._files[ '1Ti.'  ] = '1ti';
NetBible._files[ '2Ti.'  ] = '2ti';
NetBible._files[ 'Tit.'  ] = 'tit';
NetBible._files[ 'Phm.'  ] = 'phm';
NetBible._files[ 'Heb.'  ] = 'heb';
NetBible._files[ 'Jas.'  ] = 'jam';
NetBible._files[ '1Pe.'  ] = '1pe';
NetBible._files[ '2Pe.'  ] = '2pe';
NetBible._files[ '1Jn.'  ] = '1jo';
NetBible._files[ '2Jn.'  ] = '2jo';
NetBible._files[ '3Jn.'  ] = '3jo';
NetBible._files[ 'Jude'  ] = 'jud';
NetBible._files[ 'Rev.'  ] = 'rev';
NetBible._files[ 'Gen.'  ] = 'gen';
NetBible._files[ 'Ex.'   ] = 'exo';
NetBible._files[ 'Lev.'  ] = 'lev';
NetBible._files[ 'Num.'  ] = 'num';
NetBible._files[ 'Deu.'  ] = 'deu';
NetBible._files[ 'Jos.'  ] = 'jos';
NetBible._files[ 'Jdg.'  ] = 'jdg';
NetBible._files[ 'Ru.'   ] = 'rut';
NetBible._files[ '1S.'   ] = '1sa';
NetBible._files[ '2S.'   ] = '2sa';
NetBible._files[ '1K.'   ] = '1ki';
NetBible._files[ '2K.'   ] = '2ki';
NetBible._files[ '1Chr.' ] = '1ch';
NetBible._files[ '2Chr.' ] = '2ch';
NetBible._files[ 'Ezra'  ] = 'ezr';
NetBible._files[ 'Ne.'   ] = 'neh';
NetBible._files[ 'Est.'  ] = 'est';
NetBible._files[ 'Job'   ] = 'job';
NetBible._files[ 'Ps.'   ] = 'psa';
NetBible._files[ 'Pr.'   ] = 'pro';
NetBible._files[ 'Ecc.'  ] = 'ecc';
NetBible._files[ 'Sos.'  ] = 'sos';
NetBible._files[ 'Isa.'  ] = 'isa';
NetBible._files[ 'Jer.'  ] = 'jer';
NetBible._files[ 'Lam.'  ] = 'lam';
NetBible._files[ 'Eze.'  ] = 'eze';
NetBible._files[ 'Dan.'  ] = 'dan';
NetBible._files[ 'Hos.'  ] = 'hos';
NetBible._files[ 'Joel'  ] = 'joe';
NetBible._files[ 'Amos'  ] = 'amo';
NetBible._files[ 'Ob.'   ] = 'oba';
NetBible._files[ 'Jonah' ] = 'jon';
NetBible._files[ 'Mic.'  ] = 'mic';
NetBible._files[ 'Nah.'  ] = 'nah';
NetBible._files[ 'Hab.'  ] = 'hab';
NetBible._files[ 'Zep.'  ] = 'zep';
NetBible._files[ 'Hag.'  ] = 'hag';
NetBible._files[ 'Zec.'  ] = 'zec';
NetBible._files[ 'Mal.'  ] = 'mal';
wlx.wlx_NetBible = function NetBible()
    {
    }
wlx.wlx_NetBible = new NetBible( );
wlx.wlx_NetBible_TITLE = 'NET Bible';
if ( !wlx.wlx_NetBibleLocal ) wlx.wlx_NetBible_TITLE = 'NET Bible (BSF)';
NetBible.prototype = new Book( wlx.wlx_NetBible_TITLE, NetBible._files );
NetBible.prototype.goAddressUnconditional = function( address, pane ) 
    { 
    var file = this.file( address.book() );
    file += address.chapter()
    var noteFile = file + "_notes.htm";
    file = file + ".htm";
    if ( wlx.wlx_NetBibleLocal )
        {
        file += "#C" + address.chapter() + "V" + address.verse();
        }
    this.goFile( file, this.pane().text_pane );
    this.goFile( noteFile, this.pane().note_pane );
    return true;
    }
NetBible.prototype.goHelp = function()
    {
    this.goFile( 'textwelc.htm', this.pane().text_pane );
    }
NetBible.prototype.goIndex = function()
    {
    this.goFile( 'mtoc.htm', this.pane().text_pane );
    }
NetBible.prototype.onLoad = function( pane ) 
    { 
    if ( true || pane == this.pane().note_pane )
        {
        this.setIsLoaded( true )
        this.setOnLoadUsed( wlx.wlx_NetBibleLocal )
        }
    if ( this.isLoaded() )
        {
        this.BOOK_onLoad( pane )
        }
    }
