// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
function WebBible( title ) 
    { 
    if ( title != undefined )
        {
        this.setTitle( title )
        }
    }
new WebBible();
wlx.wlx_WebBible_TITLE = 'WEB Bible';
WebBible.prototype = new Book( wlx.wlx_WebBible_TITLE, wlx.wlx_bibleBookFilePrefixes )
WebBible.prototype.goAddress = function( address, pane ) 
    { 
    var forward = this.BOOK_goAddress( address, pane )
    if ( pane == this.pane().wx )
        {
        this.BOOK_goAddress( address, pane )
        forward = false
        this.setGoMoved( false )
        }
    return forward
    }
WebBible.prototype.goAddressUnconditional = function( address, pane ) 
    { 
    chapter = address.chapter();
    if ( chapter < 10 )
        {
        chapter = "00" + chapter;
        }
    else if ( chapter < 100 )
        {
        chapter = "0" + chapter;
        }
    var file = this.file( address.book() ); 
    file += "c" + chapter + ".htm";
    file += "#" + address.book() + '_';
    file += "C" + address.chapter() + "V" + address.verse();
    this.goFile( file, this.pane().wb )
    return true;
    }
WebBible.prototype.goHelp = function()
    {
    this.goFile( 'intro.htm', this.pane().wb )
    }
WebBible.prototype.goIndex = function()
    {
    this.goFile( 'go.htm', this.pane().wb )
    }
WebBible.prototype.onLoad = function( pane ) 
    { 
    if ( pane == this.pane().wx )
        {
        this.setIsLoaded( true )
        }
    if ( this.isLoaded() )
        {
        this.BOOK_onLoad( pane )
        }
    }
